-- MySQL dump 10.13  Distrib 8.0.31, for Linux (x86_64)
--
-- Host: localhost    Database: labterpadu
-- ------------------------------------------------------
-- Server version	8.0.31-0ubuntu0.22.04.1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `berkas_laporan`
--

DROP TABLE IF EXISTS `berkas_laporan`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `berkas_laporan` (
  `id` int NOT NULL AUTO_INCREMENT,
  `pengujian_id` int DEFAULT NULL,
  `in_path` varchar(255) DEFAULT NULL,
  `in_type` varchar(128) DEFAULT NULL,
  `in_size` int DEFAULT NULL,
  `in_name` varchar(255) DEFAULT NULL,
  `in_upload_ip` varchar(15) DEFAULT NULL,
  `in_base_url` varchar(255) DEFAULT NULL,
  `created_at` int DEFAULT NULL,
  `created_by` int DEFAULT NULL,
  `updated_at` int DEFAULT NULL,
  `updated_by` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `berkas_laporan`
--

LOCK TABLES `berkas_laporan` WRITE;
/*!40000 ALTER TABLE `berkas_laporan` DISABLE KEYS */;
INSERT INTO `berkas_laporan` VALUES (1,35,'berkas_laporan/1675737833f8dd187a.pdf','application/pdf',286983,'230105 Najla.pdf',NULL,'http://storage.labterpadu.id/source',1675737832,5,1675737833,5),(2,37,'berkas_laporan/167574183653f5a9ce.pdf','application/pdf',317878,'230111 Noraliza.pdf',NULL,'http://storage.labterpadu.id/source',1675741836,5,1675741836,5),(3,36,'berkas_laporan/1675742337b500c70f.pdf','application/pdf',368273,'USK.AAS.23.01.21 -26.pdf',NULL,'http://storage.labterpadu.id/source',1675742337,5,1675742337,5),(4,38,'berkas_laporan/16758233426a73c242.pdf','application/pdf',317878,'230111 Noraliza.pdf',NULL,'http://storage.labterpadu.id/source',1675823342,5,1675823342,5),(5,33,'berkas_laporan/1675823365fbd9ee36.pdf','application/pdf',286983,'230105 Najla.pdf',NULL,'http://storage.labterpadu.id/source',1675823365,5,1675823365,5);
/*!40000 ALTER TABLE `berkas_laporan` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `berkas_sertifikat`
--

DROP TABLE IF EXISTS `berkas_sertifikat`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `berkas_sertifikat` (
  `id` int NOT NULL AUTO_INCREMENT,
  `pengujian_id` int DEFAULT NULL,
  `in_path` varchar(255) DEFAULT NULL,
  `in_type` varchar(128) DEFAULT NULL,
  `in_size` int DEFAULT NULL,
  `in_name` varchar(255) DEFAULT NULL,
  `in_upload_ip` varchar(15) DEFAULT NULL,
  `in_base_url` varchar(255) DEFAULT NULL,
  `created_at` int DEFAULT NULL,
  `created_by` int DEFAULT NULL,
  `updated_at` int DEFAULT NULL,
  `updated_by` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `berkas_sertifikat`
--

LOCK TABLES `berkas_sertifikat` WRITE;
/*!40000 ALTER TABLE `berkas_sertifikat` DISABLE KEYS */;
INSERT INTO `berkas_sertifikat` VALUES (1,35,'sertifikat/167574144416cf9bd6.pdf','application/pdf',286983,'230105 Najla.pdf',NULL,'http://storage.labterpadu.id/source',1675741444,5,1675741444,5),(2,37,'sertifikat/1675742276d3a700b3.pdf','application/pdf',317878,'230111 Noraliza.pdf',NULL,'http://storage.labterpadu.id/source',1675742276,5,1675742276,5),(3,36,'sertifikat/167574265456652b5e.pdf','application/pdf',368273,'USK.AAS.23.01.21 -26.pdf',NULL,'http://storage.labterpadu.id/source',1675742654,5,1675742654,5),(4,38,'sertifikat/16758235025a2897b9.pdf','application/pdf',317878,'230111 Noraliza.pdf',NULL,'http://storage.labterpadu.id/source',1675823502,5,1675823502,5);
/*!40000 ALTER TABLE `berkas_sertifikat` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `file_storage_item`
--

DROP TABLE IF EXISTS `file_storage_item`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `file_storage_item` (
  `id` int NOT NULL AUTO_INCREMENT,
  `component` varchar(255) NOT NULL,
  `base_url` varchar(1024) NOT NULL,
  `path` varchar(1024) NOT NULL,
  `type` varchar(255) DEFAULT NULL,
  `size` int DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `upload_ip` varchar(45) DEFAULT NULL,
  `created_at` int NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `file_storage_item`
--

LOCK TABLES `file_storage_item` WRITE;
/*!40000 ALTER TABLE `file_storage_item` DISABLE KEYS */;
/*!40000 ALTER TABLE `file_storage_item` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `invoice_payment_file`
--

DROP TABLE IF EXISTS `invoice_payment_file`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `invoice_payment_file` (
  `id` int NOT NULL AUTO_INCREMENT,
  `pengujian_id` int DEFAULT NULL,
  `in_path` varchar(255) DEFAULT NULL,
  `in_type` varchar(128) DEFAULT NULL,
  `in_size` int DEFAULT NULL,
  `in_name` varchar(255) DEFAULT NULL,
  `in_upload_ip` varchar(15) DEFAULT NULL,
  `in_base_url` varchar(255) DEFAULT NULL,
  `cust_in_path` varchar(255) DEFAULT NULL,
  `cust_in_type` varchar(128) DEFAULT NULL,
  `cust_in_size` int DEFAULT NULL,
  `cust_in_name` varchar(255) DEFAULT NULL,
  `cust_in_upload_ip` varchar(15) DEFAULT NULL,
  `cust_in_base_url` varchar(255) DEFAULT NULL,
  `created_at` int DEFAULT NULL,
  `created_by` int DEFAULT NULL,
  `updated_at` int DEFAULT NULL,
  `updated_by` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `invoice_payment_file`
--

LOCK TABLES `invoice_payment_file` WRITE;
/*!40000 ALTER TABLE `invoice_payment_file` DISABLE KEYS */;
INSERT INTO `invoice_payment_file` VALUES (1,35,'invoice/1675737667850e7b80.jpg','image/jpeg',100935,'18be798e-f41f-4ee7-8ec1-4ba73ba02782.jpg',NULL,'http://storage.labterpadu.id/source',NULL,NULL,NULL,NULL,NULL,NULL,1675737667,5,1675737667,5),(2,37,'invoice/16757418166996c285.jpg','image/jpeg',134539,'0d658626-a05c-4eac-b930-b3928a5aa9af.jpg',NULL,'http://storage.labterpadu.id/source',NULL,NULL,NULL,NULL,NULL,NULL,1675741816,5,1675741816,5),(3,36,'invoice/16757423222fd82b53.jpg','image/jpeg',100935,'18be798e-f41f-4ee7-8ec1-4ba73ba02782.jpg',NULL,'http://storage.labterpadu.id/source',NULL,NULL,NULL,NULL,NULL,NULL,1675742322,5,1675742322,5),(4,33,'invoice/167574320433c9d61b.jpg','image/jpeg',100935,'18be798e-f41f-4ee7-8ec1-4ba73ba02782.jpg',NULL,'http://storage.labterpadu.id/source',NULL,NULL,NULL,NULL,NULL,NULL,1675743204,5,1675743204,5),(5,38,'invoice/1675823325ca2060d9.jpg','image/jpeg',134539,'0d658626-a05c-4eac-b930-b3928a5aa9af.jpg',NULL,'http://storage.labterpadu.id/source',NULL,NULL,NULL,NULL,NULL,NULL,1675823325,5,1675823325,5);
/*!40000 ALTER TABLE `invoice_payment_file` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jenis_pengujian`
--

DROP TABLE IF EXISTS `jenis_pengujian`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `jenis_pengujian` (
  `id` int NOT NULL AUTO_INCREMENT,
  `nama` varchar(80) DEFAULT NULL,
  `keterangan` text,
  `is_active` int DEFAULT NULL,
  `created_at` int DEFAULT NULL,
  `created_by` int DEFAULT NULL,
  `updated_at` int DEFAULT NULL,
  `updated_by` int DEFAULT NULL,
  `penempatan_lab_id` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=24 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `jenis_pengujian`
--

LOCK TABLES `jenis_pengujian` WRITE;
/*!40000 ALTER TABLE `jenis_pengujian` DISABLE KEYS */;
INSERT INTO `jenis_pengujian` VALUES (2,'Pengujian Menggunakan Hitachi TM3000 Scanning Electron Microscope','',1,1673327321,4,1673473988,4,NULL),(3,'Pengujian Tarik','',1,1673362096,4,1673403471,4,NULL),(4,'Pengujian Tekan','',1,1673362298,4,1673403487,4,NULL),(5,'Pengujian Lengkung','',1,1673362451,4,1673403501,4,NULL),(6,'Pengujian Kadar Air','',1,1673362624,4,1673403515,4,NULL),(7,'Pengujian Kadar Abu','',1,1673362676,4,1673403531,4,NULL),(8,'Pengujian Sifat Kimia','',1,1673362859,4,1673403545,4,NULL),(9,'Pengujian Total Suspended Solid','',1,1673363213,4,1673404716,4,NULL),(10,'Pengujian Menggunakan Furnace','',1,1673401867,4,1673402839,4,NULL),(11,'Pengujian Menggunakan Ball Mill','',1,1673401923,4,1673402694,4,NULL),(12,'Pengujian Menggunakan Neraca Digital','',1,1673401995,4,1673402676,4,NULL),(13,'Pengujian Menggunakan Centrifuge','',1,1673402532,4,1673402659,4,NULL),(14,'Pengujian Menggunakan Ultrasonic Bath','',1,1673402632,4,1673403697,4,NULL),(15,'Pengujian Menggunakan Minispin','',1,1673403083,4,1673403083,4,NULL),(16,'Pengujian Menggunakan Orbital Shaker','',1,1673403130,4,1673403130,4,NULL),(17,'Pengujian Menggunakan Neraca Analitik','',1,1673403163,4,1673403163,4,NULL),(18,'Pengujian Menggunakan Magnetic Stirrer','',1,1673403196,4,1673404789,4,NULL),(19,'Pengujian Menggunakan Vortex','',1,1673403229,4,1673404883,4,NULL),(20,'Pengujian Menggunakan TissueRuptor','',1,1673403282,4,1673404603,4,NULL),(21,'Pengujian Menggunakan Elektroforesis Horizontal','',1,1673403331,4,1673403331,4,NULL),(22,'Pengujian Menggunakan Elektroforesis Vertikal','',1,1673403365,4,1673403365,4,NULL),(23,'Teknik Sipil - Uji Beton','',1,1676262957,4,1676262957,4,4);
/*!40000 ALTER TABLE `jenis_pengujian` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jenis_pengujian_detail`
--

DROP TABLE IF EXISTS `jenis_pengujian_detail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `jenis_pengujian_detail` (
  `id` int NOT NULL AUTO_INCREMENT,
  `jenis_pengujian_id` int DEFAULT NULL,
  `is_bentuk` int DEFAULT NULL,
  `is_volum` int DEFAULT NULL,
  `is_kategori` int DEFAULT NULL,
  `is_suhu_pengujian` int DEFAULT NULL,
  `is_waktu_pengujian` int DEFAULT NULL,
  `is_kecepatan_pengujian` int DEFAULT NULL,
  `is_tegangan` int DEFAULT NULL,
  `is_fitur` int DEFAULT NULL,
  `is_deskripsi` int DEFAULT NULL,
  `is_parameter` int DEFAULT NULL,
  `is_proses_dilakukan` int DEFAULT NULL,
  `is_tujuan` int DEFAULT NULL,
  `is_dimensi` int DEFAULT NULL,
  `is_jenis` int DEFAULT NULL,
  `is_perbesaran` int DEFAULT NULL,
  `is_standar` int DEFAULT NULL,
  `is_upload` int DEFAULT NULL,
  `keterangan` text,
  `created_at` int DEFAULT NULL,
  `created_by` int DEFAULT NULL,
  `updated_at` int DEFAULT NULL,
  `updated_by` int DEFAULT NULL,
  `is_jenis_text` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=24 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `jenis_pengujian_detail`
--

LOCK TABLES `jenis_pengujian_detail` WRITE;
/*!40000 ALTER TABLE `jenis_pengujian_detail` DISABLE KEYS */;
INSERT INTO `jenis_pengujian_detail` VALUES (1,1,1,1,1,1,1,1,1,0,1,0,1,1,1,0,1,0,1,'',1673326913,1,1673326913,1,NULL),(2,2,1,0,1,0,0,0,0,0,0,0,1,1,1,0,1,0,1,'1. Kekeringan sampel max: 12% air;\r\n2. Lampirkan referensi gambar yang diinginkan, keluhan hanya akan diterima paling lama seminggu setelah pengamatan;\r\n3. Sampel yang membutuhkan preparasi khusus wajib dikonsultasikan terlebih dahulu.',1673327321,4,1673473988,4,1),(3,3,0,0,1,0,0,0,0,0,1,0,0,0,0,0,0,1,0,'1. Laporan hasil pengujian tidak menyediakan analisis sampel. Sampel harus sudah dipreparasi sesuai standar acuan yang diinginkan;\r\n2. Untuk sampel kayu harus tidak ditemukan cacat fisik dan kadar air pada sampel kayu berada pada rentang 4-20%.',1673362096,4,1673403471,4,NULL),(4,4,0,0,1,0,0,0,0,0,1,0,0,1,0,0,0,1,0,'1. Laporan hasil pengujian tidak menyediakan analisis sampel. Sampel harus sudah dipreparasi sesuai standar acuan yang diinginkan;\r\n2. Untuk sampel kayu harus tidak ditemukan cacat fisik dan kadar air pada sampel kayu berada pada rentang 4-20%.',1673362298,4,1673403487,4,NULL),(5,5,0,0,1,0,0,0,0,0,1,0,0,1,0,0,0,1,0,'Laporan hasil pengujian tidak menyediakan analisis sampel. Sampel harus sudah dipreparasi sesuai standar acuan yang diinginkan.',1673362451,4,1673403501,4,NULL),(6,6,0,0,0,1,1,0,0,0,1,0,0,1,0,0,0,0,0,'',1673362624,4,1673403515,4,NULL),(7,7,0,0,0,1,1,0,0,0,1,0,0,1,0,0,0,0,0,'',1673362676,4,1673403531,4,NULL),(8,8,0,0,1,0,0,0,0,0,0,1,0,0,0,1,0,0,0,'1. Jumlah minimum volum sampel air bersih dan air limbah adalah sebanyak 500ml per parameter contoh;\r\n2. Sampel air bersih dan air limbah dikemas dalam botol plastik atau kaca;\r\n3. Sampel wajib sudah disaring menggunakan kertas Whatman No. 42',1673362859,4,1673403545,4,NULL),(9,9,0,0,0,1,1,0,0,0,1,0,0,1,0,0,0,0,0,'',1673363213,4,1673404716,4,NULL),(10,10,0,0,0,1,1,0,0,0,1,0,0,1,0,0,0,0,0,'',1673401867,4,1673402839,4,NULL),(11,11,0,0,0,0,1,1,0,0,1,0,0,1,0,0,0,0,0,'',1673401923,4,1673402694,4,NULL),(12,12,0,0,0,0,0,0,0,0,1,0,0,1,0,0,0,0,0,'',1673401995,4,1673402676,4,NULL),(13,13,0,1,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,'Maksimum volum sampel yang bisa ditampung alat adalah 280ml.',1673402532,4,1673402659,4,NULL),(14,14,0,0,0,1,1,0,0,1,0,0,0,0,0,0,0,0,0,'Frekuensi 37kHz.',1673402632,4,1673403697,4,NULL),(15,15,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,'',1673403083,4,1673403083,4,NULL),(16,16,0,0,0,0,1,1,0,1,0,0,0,0,0,0,0,0,0,'',1673403130,4,1673403130,4,NULL),(17,17,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,'',1673403163,4,1673403163,4,NULL),(18,18,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,'',1673403196,4,1673404789,4,NULL),(19,19,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,'',1673403229,4,1673404883,4,NULL),(20,20,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,'',1673403282,4,1673404603,4,NULL),(21,21,0,0,0,0,1,0,1,0,0,0,0,0,0,0,0,0,0,'',1673403331,4,1673403331,4,NULL),(22,22,0,0,0,0,1,0,1,0,0,0,0,0,0,0,0,0,0,'',1673403365,4,1673403365,4,NULL),(23,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',1676262957,4,1676262957,4,0);
/*!40000 ALTER TABLE `jenis_pengujian_detail` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jenis_pengujian_detail_type`
--

DROP TABLE IF EXISTS `jenis_pengujian_detail_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `jenis_pengujian_detail_type` (
  `id` int NOT NULL AUTO_INCREMENT,
  `type` varchar(45) DEFAULT NULL,
  `jenis_pengujian_detail_id` int DEFAULT NULL,
  `type_id` int DEFAULT NULL,
  `created_at` int DEFAULT NULL,
  `created_by` int DEFAULT NULL,
  `updated_at` int DEFAULT NULL,
  `updated_by` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=47 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `jenis_pengujian_detail_type`
--

LOCK TABLES `jenis_pengujian_detail_type` WRITE;
/*!40000 ALTER TABLE `jenis_pengujian_detail_type` DISABLE KEYS */;
INSERT INTO `jenis_pengujian_detail_type` VALUES (1,'KATEGORI_SAMPEL',1,1,1673326913,1,1673326913,1),(2,'BENTUK_SAMPEL',2,1,1673327321,4,1673327321,4),(3,'BENTUK_SAMPEL',2,2,1673327321,4,1673327321,4),(4,'KATEGORI_SAMPEL',2,1,1673327321,4,1673327321,4),(5,'KATEGORI_SAMPEL',2,2,1673327321,4,1673327321,4),(6,'KATEGORI_SAMPEL',3,1,1673362096,4,1673362096,4),(7,'KATEGORI_SAMPEL',3,3,1673362096,4,1673362096,4),(8,'STANDAR_PENGUJIAN',3,1,1673362096,4,1673362096,4),(9,'STANDAR_PENGUJIAN',3,2,1673362096,4,1673362096,4),(10,'STANDAR_PENGUJIAN',3,3,1673362096,4,1673362096,4),(11,'KATEGORI_SAMPEL',4,3,1673362298,4,1673362298,4),(12,'KATEGORI_SAMPEL',4,4,1673362298,4,1673362298,4),(13,'KATEGORI_SAMPEL',4,5,1673362298,4,1673362298,4),(14,'KATEGORI_SAMPEL',4,6,1673362298,4,1673362298,4),(15,'KATEGORI_SAMPEL',4,7,1673362298,4,1673362298,4),(16,'STANDAR_PENGUJIAN',4,4,1673362298,4,1673362298,4),(17,'STANDAR_PENGUJIAN',4,5,1673362298,4,1673362298,4),(18,'STANDAR_PENGUJIAN',4,6,1673362298,4,1673362298,4),(19,'STANDAR_PENGUJIAN',4,7,1673362298,4,1673362298,4),(20,'STANDAR_PENGUJIAN',4,8,1673362298,4,1673362298,4),(21,'KATEGORI_SAMPEL',5,1,1673362451,4,1673362451,4),(22,'KATEGORI_SAMPEL',5,4,1673362451,4,1673362451,4),(23,'KATEGORI_SAMPEL',5,5,1673362451,4,1673362451,4),(24,'KATEGORI_SAMPEL',5,6,1673362451,4,1673362451,4),(25,'KATEGORI_SAMPEL',5,7,1673362451,4,1673362451,4),(26,'STANDAR_PENGUJIAN',5,9,1673362451,4,1673362451,4),(27,'STANDAR_PENGUJIAN',5,10,1673362451,4,1673362451,4),(28,'KATEGORI_SAMPEL',8,8,1673362859,4,1673362859,4),(29,'PARAMETER_PENGUJIAN',8,1,1673362859,4,1673362859,4),(30,'PARAMETER_PENGUJIAN',8,2,1673362859,4,1673362859,4),(31,'PARAMETER_PENGUJIAN',8,3,1673362859,4,1673362859,4),(32,'PARAMETER_PENGUJIAN',8,4,1673362859,4,1673362859,4),(33,'PARAMETER_PENGUJIAN',8,5,1673362859,4,1673362859,4),(34,'PARAMETER_PENGUJIAN',8,6,1673362859,4,1673362859,4),(35,'PARAMETER_PENGUJIAN',8,7,1673362859,4,1673362859,4),(36,'PARAMETER_PENGUJIAN',8,8,1673362859,4,1673362859,4),(37,'PARAMETER_PENGUJIAN',8,9,1673362859,4,1673362859,4),(38,'PARAMETER_PENGUJIAN',8,10,1673362859,4,1673362859,4),(39,'JENIS_SAMPEL',8,1,1673362859,4,1673362859,4),(40,'JENIS_SAMPEL',8,2,1673362859,4,1673362859,4),(41,'JENIS_SAMPEL',8,3,1673362859,4,1673362859,4),(42,'JENIS_SAMPEL',8,4,1673362859,4,1673362859,4),(43,'FITUR',14,1,1673402632,4,1673402632,4),(44,'FITUR',14,2,1673402632,4,1673402632,4),(45,'FITUR',16,3,1673403130,4,1673403130,4),(46,'FITUR',16,4,1673403130,4,1673403130,4);
/*!40000 ALTER TABLE `jenis_pengujian_detail_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `key_storage_item`
--

DROP TABLE IF EXISTS `key_storage_item`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `key_storage_item` (
  `key` varchar(128) NOT NULL,
  `value` text NOT NULL,
  `comment` text,
  `updated_at` int DEFAULT NULL,
  `created_at` int DEFAULT NULL,
  PRIMARY KEY (`key`),
  UNIQUE KEY `idx_key_storage_item_key` (`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `key_storage_item`
--

LOCK TABLES `key_storage_item` WRITE;
/*!40000 ALTER TABLE `key_storage_item` DISABLE KEYS */;
INSERT INTO `key_storage_item` VALUES ('backend.layout-boxed','0',NULL,NULL,NULL),('backend.layout-collapsed-sidebar','0',NULL,NULL,NULL),('backend.layout-fixed','0',NULL,NULL,NULL),('backend.theme-skin','skin-green','skin-blue, skin-black, skin-purple, skin-green, skin-red, skin-yellow',NULL,NULL),('frontend.maintenance','disabled','Set it to \"enabled\" to turn on maintenance mode',NULL,NULL),('nama_kepala_bidang_pelayanan','Hilma Tamiami Fachrudin, ST., M.Sc., Ph.D','Nama Kepala Bidang Pelayanan dan Promosi',NULL,NULL),('nama_kepala_lab_uji_karakterisasi_sb','Dr. Eng. Ir. Indra, M.Sc','Nama Kepala Lab. Karakterisasi Struktur Bahan',NULL,NULL),('nama_kepala_lab_uji_sifat_kimia','Novrida Harpah Hasibuan, S.Si, MT','Nama Kepala Lab. Uji Sifat Kimia',NULL,NULL),('nama_kepala_lab_uji_sifat_mekanik','Dr. Iwan Risnasari, S.Hut., M.Si.','Nama Kepala Lab. Uji Sifat Mekanik',NULL,NULL),('nama_kepala_lpt','Ir. Rahmi Karolina, ST., MT., IPM','Nama Kepala UPT. Laboratorium Penelitian Terpadu',NULL,NULL),('nip_kepala_bidang_pelayanan','198104262008122003','NIP Kepala Bidang Pelayanan dan Promosi',NULL,NULL),('nip_kepala_lab_uji_karakterisasi_sb','196410241992031001','NIP Kepala Lab. Karakterisasi Struktur Bahan',NULL,NULL),('nip_kepala_lab_uji_sifat_kimia','198711102018032001','NIP Kepala Lab. Uji Sifat Kimia',NULL,NULL),('nip_kepala_lab_uji_sifat_mekanik','1973081920000032002','NIP Kepala Lab. Uji Sifat Mekanik',NULL,NULL),('nip_kepala_lpt','198203182008122001','NIP Kepala UPT. Laboratorium Penelitian Terpadu',NULL,NULL);
/*!40000 ALTER TABLE `key_storage_item` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pengujian`
--

DROP TABLE IF EXISTS `pengujian`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pengujian` (
  `id` int NOT NULL AUTO_INCREMENT,
  `jenis_pengujian_id` int DEFAULT NULL,
  `no_order` int DEFAULT NULL,
  `no_order_text` varchar(45) DEFAULT NULL,
  `invoice_is_paid` int DEFAULT NULL,
  `invoice_date` date DEFAULT NULL,
  `inovice_total_price` decimal(18,2) DEFAULT NULL,
  `invoice_payment_date` date DEFAULT NULL,
  `invoice_payment` decimal(18,2) DEFAULT NULL,
  `created_at` int DEFAULT NULL,
  `created_by` int DEFAULT NULL,
  `updated_at` int DEFAULT NULL,
  `updated_by` int DEFAULT NULL,
  `invoice_total_price` decimal(18,2) DEFAULT NULL,
  `invoice_notes` text,
  `status` int DEFAULT '0',
  `is_accept` int DEFAULT NULL,
  `is_accept_date` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=40 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pengujian`
--

LOCK TABLES `pengujian` WRITE;
/*!40000 ALTER TABLE `pengujian` DISABLE KEYS */;
INSERT INTO `pengujian` VALUES (1,2,1,NULL,NULL,'2023-01-11',NULL,NULL,NULL,1673338858,22,1673427219,5,175000.00,NULL,0,NULL,NULL),(2,6,2,NULL,NULL,'2023-01-11',NULL,NULL,NULL,1673404755,18,1673427742,5,100000.00,NULL,0,NULL,NULL),(3,2,3,NULL,NULL,'2023-01-11',NULL,NULL,NULL,1673404896,22,1673431351,5,50000.00,NULL,0,NULL,NULL),(4,13,4,NULL,NULL,NULL,NULL,NULL,NULL,1673405090,21,1673405090,21,NULL,NULL,0,NULL,NULL),(5,14,5,NULL,NULL,NULL,NULL,NULL,NULL,1673405358,21,1673405358,21,NULL,NULL,0,NULL,NULL),(6,15,6,NULL,NULL,NULL,NULL,NULL,NULL,1673405430,21,1673405430,21,NULL,NULL,0,NULL,NULL),(7,6,7,NULL,NULL,NULL,NULL,NULL,NULL,1673405458,18,1673405458,18,NULL,NULL,0,NULL,NULL),(8,16,8,NULL,NULL,NULL,NULL,NULL,NULL,1673405488,21,1673405488,21,NULL,NULL,0,NULL,NULL),(9,19,9,NULL,NULL,NULL,NULL,NULL,NULL,1673405545,21,1673405545,21,NULL,NULL,0,NULL,NULL),(10,20,10,NULL,NULL,NULL,NULL,NULL,NULL,1673405584,21,1673405584,21,NULL,NULL,0,NULL,NULL),(11,7,11,NULL,NULL,NULL,NULL,NULL,NULL,1673405612,18,1673405612,18,NULL,NULL,0,NULL,NULL),(12,21,12,NULL,NULL,NULL,NULL,NULL,NULL,1673405638,21,1673405638,21,NULL,NULL,0,NULL,NULL),(13,9,13,NULL,NULL,NULL,NULL,NULL,NULL,1673405668,18,1673405668,18,NULL,NULL,0,NULL,NULL),(14,3,14,NULL,NULL,NULL,NULL,NULL,NULL,1673405703,19,1673405703,19,NULL,NULL,0,NULL,NULL),(15,22,15,NULL,NULL,NULL,NULL,NULL,NULL,1673405721,21,1673405721,21,NULL,NULL,0,NULL,NULL),(16,10,16,NULL,NULL,NULL,NULL,NULL,NULL,1673405813,18,1673405813,18,NULL,NULL,0,NULL,NULL),(17,12,17,NULL,NULL,NULL,NULL,NULL,NULL,1673405885,18,1673405885,18,NULL,NULL,0,NULL,NULL),(18,13,18,NULL,NULL,NULL,NULL,NULL,NULL,1673406195,24,1673406195,24,NULL,NULL,0,NULL,NULL),(19,19,19,NULL,NULL,NULL,NULL,NULL,NULL,1673406462,5,1673406462,5,NULL,NULL,0,NULL,NULL),(20,8,20,NULL,NULL,NULL,NULL,NULL,NULL,1673406475,23,1673406475,23,NULL,NULL,0,NULL,NULL),(21,14,21,NULL,NULL,NULL,NULL,NULL,NULL,1673406501,5,1673406501,5,NULL,NULL,0,NULL,NULL),(22,8,22,NULL,NULL,NULL,NULL,NULL,NULL,1673406692,23,1673406692,23,NULL,NULL,0,NULL,NULL),(23,8,23,NULL,NULL,NULL,NULL,NULL,NULL,1673407026,26,1673407026,26,NULL,NULL,0,NULL,NULL),(24,4,24,'USM.UTM.23.01.25',NULL,'2023-02-07',NULL,NULL,NULL,1673420352,22,1675745817,5,39000.00,'',2,NULL,NULL),(25,11,25,NULL,NULL,NULL,NULL,NULL,NULL,1673420428,22,1673420428,22,NULL,NULL,0,NULL,NULL),(26,5,26,NULL,NULL,NULL,NULL,NULL,NULL,1673420540,22,1673420540,22,NULL,NULL,0,NULL,NULL),(28,13,27,NULL,NULL,NULL,NULL,NULL,NULL,1675652086,24,1675652086,24,NULL,NULL,0,NULL,NULL),(29,2,28,NULL,NULL,NULL,NULL,NULL,NULL,1675652272,22,1675652272,22,NULL,NULL,0,NULL,NULL),(30,13,29,NULL,NULL,NULL,NULL,NULL,NULL,1675652779,21,1675652779,21,NULL,NULL,0,NULL,NULL),(31,14,30,NULL,NULL,NULL,NULL,NULL,NULL,1675652912,21,1675652912,21,NULL,NULL,0,NULL,NULL),(32,3,31,'USM.UTM.23.01.05-09',NULL,'2023-02-07',NULL,NULL,NULL,1675654808,22,1675743506,5,195000.00,'',2,NULL,NULL),(33,3,32,'USM.UTM.23.01.01-04',1,'2023-02-07',NULL,'2023-02-07',248000.00,1675672461,29,1675823365,5,248000.00,'',5,NULL,NULL),(35,2,33,'KSb.SEM.23.01.08',1,'2023-02-07',NULL,'2023-02-07',175000.00,1675736881,22,1675741531,6,175000.00,'',9,NULL,NULL),(36,8,34,'USK.AAS.23.01.07-08',1,'2023-02-07',NULL,'2023-02-07',180000.00,1675738288,24,1675742818,6,180000.00,'',9,NULL,NULL),(37,10,35,'UST.FUR.23.01.08',1,'2023-02-07',NULL,'2023-02-07',78000.00,1675738436,18,1675742797,6,78000.00,'tidak ada keterangan instansi so harga eksternal wkwkw',9,NULL,NULL),(38,2,36,'KSB.SEM.23.01.09-13',1,'2023-02-08',NULL,'2023-02-08',875000.00,1675823067,22,1675823636,22,875000.00,'',9,1,1675823636),(39,3,37,NULL,NULL,NULL,NULL,NULL,NULL,1675826414,22,1675826414,22,NULL,NULL,0,NULL,NULL);
/*!40000 ALTER TABLE `pengujian` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pengujian_detail`
--

DROP TABLE IF EXISTS `pengujian_detail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pengujian_detail` (
  `id` int NOT NULL AUTO_INCREMENT,
  `pengujian_id` int DEFAULT NULL,
  `jumlah_sampel` int DEFAULT NULL,
  `nama_sampel` varchar(128) DEFAULT NULL,
  `in_bentuk` varchar(45) DEFAULT NULL,
  `in_volum` varchar(45) DEFAULT NULL,
  `in_kategori` varchar(45) DEFAULT NULL,
  `in_suhu` varchar(45) DEFAULT NULL,
  `in_waktu` varchar(45) DEFAULT NULL,
  `in_kecepatan` varchar(45) DEFAULT NULL,
  `in_tegangan` varchar(45) DEFAULT NULL,
  `in_fitur` varchar(45) DEFAULT NULL,
  `in_deskripsi` varchar(255) DEFAULT NULL,
  `in_parameter` varchar(45) DEFAULT NULL,
  `in_proses` varchar(255) DEFAULT NULL,
  `in_tujuan` varchar(255) DEFAULT NULL,
  `in_dimensi` varchar(45) DEFAULT NULL,
  `in_jenis` varchar(45) DEFAULT NULL,
  `in_perbesaran_1` varchar(45) DEFAULT NULL,
  `in_perbesaran_2` varchar(45) DEFAULT NULL,
  `in_perbesaran_3` varchar(45) DEFAULT NULL,
  `in_standar` varchar(45) DEFAULT NULL,
  `in_path` varchar(255) DEFAULT NULL,
  `in_type` varchar(128) DEFAULT NULL,
  `in_size` int DEFAULT NULL,
  `in_name` varchar(255) DEFAULT NULL,
  `in_upload_ip` varchar(15) DEFAULT NULL,
  `in_base_url` varchar(255) DEFAULT NULL,
  `price` decimal(18,2) DEFAULT NULL,
  `created_at` int DEFAULT NULL,
  `created_by` int DEFAULT NULL,
  `updated_at` int DEFAULT NULL,
  `updated_by` int DEFAULT NULL,
  `in_jenis_text` varchar(255) DEFAULT NULL,
  `in_sample_path` varchar(255) DEFAULT NULL,
  `in_sample_type` varchar(128) DEFAULT NULL,
  `in_sample_size` int DEFAULT NULL,
  `in_sample_name` varchar(255) DEFAULT NULL,
  `in_sample_upload_ip` int DEFAULT NULL,
  `in_sample_base_url` varchar(255) DEFAULT NULL,
  `in_catatan` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=43 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pengujian_detail`
--

LOCK TABLES `pengujian_detail` WRITE;
/*!40000 ALTER TABLE `pengujian_detail` DISABLE KEYS */;
INSERT INTO `pengujian_detail` VALUES (1,1,1,'baja','1',NULL,'1',NULL,NULL,NULL,NULL,NULL,'baja korosif',NULL,'las','melihat struktur permukaan','1x1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,175000.00,1673338858,22,1673427219,5,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(2,2,1,'1',NULL,NULL,NULL,'1','1',NULL,NULL,NULL,'1',NULL,NULL,'1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,100000.00,1673404755,18,1673427742,5,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(3,3,1,'baja','1',NULL,'1',NULL,NULL,NULL,NULL,NULL,'baja korosif',NULL,'cor','melihat struktur permukaan','1x1',NULL,'500x','1000x','2000x',NULL,NULL,NULL,NULL,NULL,NULL,NULL,50000.00,1673404896,22,1673431351,5,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(4,4,1,'Pati Hidrolisis HCl',NULL,'300 mL',NULL,'30','30','7000 rpm',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1673405090,21,1673405090,21,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(5,5,3,'Pati Hidrolisis Asam Sulfat',NULL,NULL,NULL,'30','30 menit',NULL,NULL,'1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1673405358,21,1673405358,21,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(6,6,2,'Nanosilikon',NULL,NULL,NULL,NULL,'15 menit','6000 rpm',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1673405430,21,1673405430,21,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(7,7,1,'Sugar Palm',NULL,NULL,NULL,'110 celcius','3 jam',NULL,NULL,NULL,'Padatan',NULL,NULL,'Untuk menghitung kadar air',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1673405458,18,1673405458,18,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(8,7,1,'Sugar Palm 2',NULL,NULL,NULL,'110 celcius','3 jam',NULL,NULL,NULL,'Padatan',NULL,NULL,'Untuk menghitung kadar air',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1673405458,18,1673405458,18,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(9,8,5,'Biakan Trichoderma sp.',NULL,NULL,NULL,NULL,'24 jam','150 rpm',NULL,'3',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1673405488,21,1673405488,21,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(10,9,6,'Biakan Trichoderma sp.',NULL,NULL,NULL,NULL,'24 jam',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1673405545,21,1673405545,21,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(11,10,3,'Pati Bengkoang',NULL,NULL,NULL,NULL,'15 menit','30000 rpm',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1673405584,21,1673405584,21,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(12,11,1,'Sugar Palm',NULL,NULL,NULL,'550 celcius','2 jam ',NULL,NULL,NULL,'Padatan',NULL,NULL,'Untuk menghitung presentase kadar abu',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1673405612,18,1673405612,18,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(13,11,1,'Sugar palm 2',NULL,NULL,NULL,'550','2 jam ',NULL,NULL,NULL,'padatan',NULL,NULL,'Untuk menghitung presentase kadar abu',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1673405612,18,1673405612,18,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(14,12,7,'DNA Mangifera indica',NULL,NULL,NULL,NULL,'45 menit',NULL,'100 V',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1673405638,21,1673405638,21,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(15,13,1,'Air Sungai',NULL,NULL,NULL,'550','3 jam ',NULL,NULL,NULL,'Cairan',NULL,NULL,'Mengitung kadar TS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1673405668,18,1673405668,18,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(16,14,2,'besi ulir',NULL,NULL,'1',NULL,NULL,NULL,NULL,NULL,'d12',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1673405703,19,1673405703,19,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(17,14,1,'besi ulir',NULL,NULL,'1',NULL,NULL,NULL,NULL,NULL,'d10',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1673405703,19,1673405703,19,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(18,15,10,'DNA Elaeis guineensis',NULL,NULL,NULL,NULL,'1 jam',NULL,'70 V',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1673405721,21,1673405721,21,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(19,16,1,'Sugar Palm',NULL,NULL,NULL,'300','5 jam ',NULL,NULL,NULL,'Padatan',NULL,NULL,'Karbonisasi',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1673405813,18,1673405813,18,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(20,17,5,'Sugar Palm',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'padatan',NULL,NULL,'Menimbang berat akhir dan awal setelah pengabuan',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1673405885,18,1673405885,18,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(21,18,4,'Hidrolisis Pati HCl',NULL,'30 ml',NULL,'30 C','30 menit','10000',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1673406195,24,1673406195,24,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(22,19,3,'Hidrolisis Pati HCl',NULL,NULL,NULL,NULL,'10 menit',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1673406462,5,1673406462,5,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(23,20,1,'air',NULL,NULL,'8',NULL,NULL,NULL,NULL,NULL,NULL,'1',NULL,NULL,NULL,'1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1673406475,23,1673406475,23,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(24,21,2,'Hidrolisis Pati HCl',NULL,NULL,NULL,'30','30 menit',NULL,NULL,'1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1673406501,5,1673406501,5,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(25,22,1,'apa aja boye',NULL,NULL,'8',NULL,NULL,NULL,NULL,NULL,NULL,'9',NULL,NULL,NULL,'4',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1673406692,23,1673406692,23,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(26,23,2,'Air limbah',NULL,NULL,'8',NULL,NULL,NULL,NULL,NULL,NULL,'3',NULL,NULL,NULL,'1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1673407026,26,1673407026,26,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(27,24,1,'C5',NULL,NULL,'4',NULL,NULL,NULL,NULL,NULL,'beton campuran ampas tebu',NULL,NULL,'mengetahui kuat tekan',NULL,NULL,NULL,NULL,NULL,'4',NULL,NULL,NULL,NULL,NULL,NULL,39000.00,1673420352,22,1675745817,5,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(28,25,1,'Cangkang kerang',NULL,NULL,NULL,NULL,'60 menit','400rpm',NULL,NULL,'cangkang kerang',NULL,NULL,'membuat nano',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1673420428,22,1673420428,22,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(29,26,1,'A1',NULL,NULL,'1',NULL,NULL,NULL,NULL,NULL,'aluminium',NULL,NULL,'Untuk uji lengkung',NULL,NULL,NULL,NULL,NULL,'9',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1673420540,22,1673420540,22,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(30,28,1,'Hidrolisis Pati HCl',NULL,'30 ml',NULL,'30','30 menit','10000',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1675652086,24,1675652086,24,NULL,'pengujian/16756520860383ead8.jpg','image/jpeg',134539,'0d658626-a05c-4eac-b930-b3928a5aa9af.jpg',NULL,'http://storage.labterpadu.id/source',''),(31,29,1,'film','1',NULL,'2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'blender','melihat struktur permukaan','1x1',NULL,'500x','2000x','3000x',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1675652272,22,1675652272,22,'kitosan','pengujian/167565227242940994.jpeg','image/jpeg',278215,'Kertas Saring 0.45 um.jpeg',NULL,'http://storage.labterpadu.id/source',''),(32,30,1,'Pati Hidrolisis HCl',NULL,'500 mL',NULL,'30','30','7000',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1675652779,21,1675652779,21,NULL,'pengujian/167565277975a46c51.png','image/png',180527,'Walpaper Laptop.png',NULL,'http://storage.labterpadu.id/source',''),(33,31,1,'Pati Hidrolisis HCl',NULL,NULL,NULL,'30','30',NULL,NULL,'1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1675652912,21,1675652912,21,NULL,'pengujian/167565291240482255.png','image/png',180527,'Walpaper Laptop.png',NULL,'http://storage.labterpadu.id/source',''),(34,32,5,'Tulangan Beton',NULL,NULL,'1',NULL,NULL,NULL,NULL,NULL,'gaka da',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1',NULL,NULL,NULL,NULL,NULL,NULL,39000.00,1675654808,22,1675743506,5,NULL,'pengujian/1675654808cb46b9ca.jpg','image/jpeg',61917,'sch_1.jpg',NULL,'http://storage.labterpadu.id/source',''),(35,33,4,'Test Nama 1',NULL,NULL,'3',NULL,NULL,NULL,NULL,NULL,'Test deskripsi 1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2',NULL,NULL,NULL,NULL,NULL,NULL,62000.00,1675672461,29,1675743186,5,NULL,'pengujian/167567246150db0961.png','image/png',13222,'splash_640x1136.png',NULL,'http://storage.labterpadu.id/source','Test catatan tambahan'),(37,35,1,'Polimer','1',NULL,'2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'press','melihat struktur permukaan','2x3',NULL,'500x','1500x','3000x',NULL,NULL,NULL,NULL,NULL,NULL,NULL,175000.00,1675736881,22,1675737363,5,'ekstrak batang kelapa sawit','pengujian/167573688198932a20.jpeg','image/jpeg',278215,'Kertas Saring 0.45 um.jpeg',NULL,'http://storage.labterpadu.id/source',''),(38,36,1,'air bersih',NULL,NULL,'8',NULL,NULL,NULL,NULL,NULL,NULL,'3',NULL,NULL,NULL,'1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,90000.00,1675738288,24,1675742301,5,NULL,'pengujian/16757382880a00f5f2.jpg','image/jpeg',183602,'0b1eaf58-5e8d-4562-bb86-a475488ec9b2.jpg',NULL,'http://storage.labterpadu.id/source',''),(39,36,1,'air bersih',NULL,NULL,'8',NULL,NULL,NULL,NULL,NULL,NULL,'4',NULL,NULL,NULL,'1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,90000.00,1675738288,24,1675742301,5,NULL,'pengujian/1675738288a2083b81.jpg','image/jpeg',100935,'18be798e-f41f-4ee7-8ec1-4ba73ba02782.jpg',NULL,'http://storage.labterpadu.id/source',''),(40,37,1,'Sugar Palm',NULL,NULL,NULL,'200','3 jam',NULL,NULL,NULL,'padatan',NULL,NULL,'pengabuan ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,78000.00,1675738436,18,1675741399,5,NULL,'pengujian/1675738436380ee637.jpg','image/jpeg',17516,'Korosi.jpg',NULL,'http://storage.labterpadu.id/source',''),(41,38,5,'saliva','1',NULL,'2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'press','melihat korosi','3cm',NULL,'2000x','3000x','5000x',NULL,NULL,NULL,NULL,NULL,NULL,NULL,175000.00,1675823067,22,1675823279,5,'nikel titanium','pengujian/1675823067a9d05c9d.jpeg','image/jpeg',278215,'Kertas Saring 0.45 um.jpeg',NULL,'http://storage.labterpadu.id/source',''),(42,39,3,'aluminium',NULL,NULL,'1',NULL,NULL,NULL,NULL,NULL,'welder',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1675826414,22,1675826414,22,NULL,'pengujian/1675826414e14fe5b2.jpeg','image/jpeg',64453,'WhatsApp Image 2022-08-09 at 14.02.14.jpeg',NULL,'http://storage.labterpadu.id/source','');
/*!40000 ALTER TABLE `pengujian_detail` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pengujian_verify`
--

DROP TABLE IF EXISTS `pengujian_verify`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pengujian_verify` (
  `id` int NOT NULL AUTO_INCREMENT,
  `pengujian_id` int NOT NULL,
  `is_accept` int NOT NULL DEFAULT '0',
  `comment` varchar(255) NOT NULL,
  `level` int NOT NULL DEFAULT '0',
  `updated_at` int DEFAULT NULL,
  `updated_by` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=38 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pengujian_verify`
--

LOCK TABLES `pengujian_verify` WRITE;
/*!40000 ALTER TABLE `pengujian_verify` DISABLE KEYS */;
INSERT INTO `pengujian_verify` VALUES (1,35,1,'',1,1675737044,13),(2,33,1,'',1,1675737065,13),(3,35,1,'',2,1675737217,7),(4,35,1,'OK. Invoice sudah dibayar.',4,1675737667,5),(5,35,1,'Berkas laporan berhasil diupload.',5,1675737832,5),(6,35,1,'Berkas laporan berhasil diupload.',5,1675737833,5),(7,35,1,'',6,1675740612,13),(8,37,1,'',1,1675741176,15),(9,37,1,'',2,1675741221,18),(10,35,1,'Berkas Sertifikat Hasil Pengujian berhasil diupload.',8,1675741444,5),(11,35,1,'',9,1675741531,6),(12,36,1,'',1,1675741756,12),(13,37,1,'OK. Invoice sudah dibayar.',4,1675741816,5),(14,37,1,'Berkas laporan berhasil diupload.',5,1675741836,5),(15,37,1,'',6,1675742154,15),(16,36,1,'',2,1675742227,8),(17,37,1,'Berkas Sertifikat Hasil Pengujian berhasil diupload.',8,1675742276,5),(18,36,1,'OK. Invoice sudah dibayar.',4,1675742322,5),(19,36,1,'Berkas laporan berhasil diupload.',5,1675742337,5),(20,36,1,'',6,1675742517,15),(21,36,1,'Berkas Sertifikat Hasil Pengujian berhasil diupload.',8,1675742654,5),(22,37,1,'',9,1675742797,6),(23,36,1,'',9,1675742818,6),(24,33,1,'',2,1675743138,11),(25,33,1,'OK. Invoice sudah dibayar.',4,1675743205,5),(26,32,1,'',1,1675743431,14),(27,32,1,'',2,1675743470,11),(28,24,1,'',1,1675745725,14),(29,24,1,'',2,1675745747,11),(30,38,1,'',1,1675823160,13),(31,38,1,'',2,1675823216,11),(32,38,1,'OK. Invoice sudah dibayar.',4,1675823325,5),(33,38,1,'Berkas laporan berhasil diupload.',5,1675823342,5),(34,33,1,'Berkas laporan berhasil diupload.',5,1675823365,5),(35,38,1,'',6,1675823379,13),(36,38,1,'Berkas Sertifikat Hasil Pengujian berhasil diupload.',8,1675823502,5),(37,38,1,'',9,1675823532,6);
/*!40000 ALTER TABLE `pengujian_verify` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rbac_auth_assignment`
--

DROP TABLE IF EXISTS `rbac_auth_assignment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `rbac_auth_assignment` (
  `item_name` varchar(64) COLLATE utf8mb3_unicode_ci NOT NULL,
  `user_id` varchar(64) COLLATE utf8mb3_unicode_ci NOT NULL,
  `created_at` int DEFAULT NULL,
  PRIMARY KEY (`item_name`,`user_id`),
  CONSTRAINT `rbac_auth_assignment_ibfk_1` FOREIGN KEY (`item_name`) REFERENCES `rbac_auth_item` (`name`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rbac_auth_assignment`
--

LOCK TABLES `rbac_auth_assignment` WRITE;
/*!40000 ALTER TABLE `rbac_auth_assignment` DISABLE KEYS */;
INSERT INTO `rbac_auth_assignment` VALUES ('administrator','1',1669607636),('administrator','4',1673327070),('lab_admin','30',1675755200),('lab_admin','5',1673426734),('lab_analyst','10',1673328065),('lab_analyst','11',1673331979),('lab_analyst','18',1673331849),('lab_analyst','19',1673331878),('lab_analyst','20',1673331924),('lab_analyst','21',1673332054),('lab_analyst','32',1675755229),('lab_analyst','7',1673327855),('lab_analyst','8',1673406706),('lab_analyst','9',1673328000),('lab_manager','6',1673426742),('lab_supervisor','12',1673328321),('lab_supervisor','13',1673328380),('lab_supervisor','14',1673328447),('lab_supervisor','15',1673328488),('lab_supervisor','16',1673328538),('lab_supervisor','17',1673328633),('lab_supervisor','31',1675755213),('staff','2',1669605597),('user','22',1673334418),('user','23',1673405559),('user','24',1673406000),('user','25',1673406311),('user','26',1673406737),('user','27',1673406958),('user','28',1675652509),('user','29',1675672296);
/*!40000 ALTER TABLE `rbac_auth_assignment` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rbac_auth_item`
--

DROP TABLE IF EXISTS `rbac_auth_item`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `rbac_auth_item` (
  `name` varchar(64) COLLATE utf8mb3_unicode_ci NOT NULL,
  `type` smallint NOT NULL,
  `description` text COLLATE utf8mb3_unicode_ci,
  `rule_name` varchar(64) COLLATE utf8mb3_unicode_ci DEFAULT NULL,
  `data` blob,
  `created_at` int DEFAULT NULL,
  `updated_at` int DEFAULT NULL,
  PRIMARY KEY (`name`),
  KEY `rule_name` (`rule_name`),
  KEY `idx-auth_item-type` (`type`),
  CONSTRAINT `rbac_auth_item_ibfk_1` FOREIGN KEY (`rule_name`) REFERENCES `rbac_auth_rule` (`name`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rbac_auth_item`
--

LOCK TABLES `rbac_auth_item` WRITE;
/*!40000 ALTER TABLE `rbac_auth_item` DISABLE KEYS */;
INSERT INTO `rbac_auth_item` VALUES ('administrator',1,NULL,NULL,NULL,1669605597,1669605597),('editOwnModel',2,NULL,'ownModelRule',NULL,1669605597,1669605597),('lab_admin',1,NULL,NULL,NULL,1669605597,1669605597),('lab_analyst',1,NULL,NULL,NULL,1669605597,1669605597),('lab_manager',1,NULL,NULL,NULL,1669605597,1669605597),('lab_supervisor',1,NULL,NULL,NULL,1669605597,1669605597),('loginToBackend',2,NULL,NULL,NULL,1669605597,1669605597),('staff',1,NULL,NULL,NULL,1669605597,1669605597),('user',1,NULL,NULL,NULL,1669605597,1669605597);
/*!40000 ALTER TABLE `rbac_auth_item` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rbac_auth_item_child`
--

DROP TABLE IF EXISTS `rbac_auth_item_child`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `rbac_auth_item_child` (
  `parent` varchar(64) COLLATE utf8mb3_unicode_ci NOT NULL,
  `child` varchar(64) COLLATE utf8mb3_unicode_ci NOT NULL,
  PRIMARY KEY (`parent`,`child`),
  KEY `child` (`child`),
  CONSTRAINT `rbac_auth_item_child_ibfk_1` FOREIGN KEY (`parent`) REFERENCES `rbac_auth_item` (`name`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `rbac_auth_item_child_ibfk_2` FOREIGN KEY (`child`) REFERENCES `rbac_auth_item` (`name`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rbac_auth_item_child`
--

LOCK TABLES `rbac_auth_item_child` WRITE;
/*!40000 ALTER TABLE `rbac_auth_item_child` DISABLE KEYS */;
INSERT INTO `rbac_auth_item_child` VALUES ('user','editOwnModel'),('administrator','loginToBackend'),('lab_admin','loginToBackend'),('lab_analyst','loginToBackend'),('lab_manager','loginToBackend'),('lab_supervisor','loginToBackend'),('staff','loginToBackend'),('administrator','staff'),('administrator','user'),('lab_admin','user'),('lab_analyst','user'),('lab_manager','user'),('lab_supervisor','user'),('staff','user');
/*!40000 ALTER TABLE `rbac_auth_item_child` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rbac_auth_rule`
--

DROP TABLE IF EXISTS `rbac_auth_rule`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `rbac_auth_rule` (
  `name` varchar(64) COLLATE utf8mb3_unicode_ci NOT NULL,
  `data` blob,
  `created_at` int DEFAULT NULL,
  `updated_at` int DEFAULT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rbac_auth_rule`
--

LOCK TABLES `rbac_auth_rule` WRITE;
/*!40000 ALTER TABLE `rbac_auth_rule` DISABLE KEYS */;
INSERT INTO `rbac_auth_rule` VALUES ('ownModelRule',_binary 'O:29:\"common\\rbac\\rule\\OwnModelRule\":3:{s:4:\"name\";s:12:\"ownModelRule\";s:9:\"createdAt\";i:1669605597;s:9:\"updatedAt\";i:1669605597;}',1669605597,1669605597);
/*!40000 ALTER TABLE `rbac_auth_rule` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ref_bentuk_sampel`
--

DROP TABLE IF EXISTS `ref_bentuk_sampel`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ref_bentuk_sampel` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `is_active` int DEFAULT NULL,
  `created_at` int DEFAULT NULL,
  `created_by` int DEFAULT NULL,
  `updated_at` int DEFAULT NULL,
  `updated_by` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ref_bentuk_sampel`
--

LOCK TABLES `ref_bentuk_sampel` WRITE;
/*!40000 ALTER TABLE `ref_bentuk_sampel` DISABLE KEYS */;
INSERT INTO `ref_bentuk_sampel` VALUES (1,'Padat',1,NULL,NULL,NULL,NULL),(2,'Butiran',1,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `ref_bentuk_sampel` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ref_fitur`
--

DROP TABLE IF EXISTS `ref_fitur`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ref_fitur` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `is_active` int DEFAULT NULL,
  `created_at` int DEFAULT NULL,
  `created_by` int DEFAULT NULL,
  `updated_at` int DEFAULT NULL,
  `updated_by` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ref_fitur`
--

LOCK TABLES `ref_fitur` WRITE;
/*!40000 ALTER TABLE `ref_fitur` DISABLE KEYS */;
INSERT INTO `ref_fitur` VALUES (1,'Sweep',1,NULL,NULL,NULL,NULL),(2,'Degas',1,NULL,NULL,NULL,NULL),(3,'Reciprocal',1,NULL,NULL,NULL,NULL),(4,'Vibro',1,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `ref_fitur` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ref_jenis_sampel`
--

DROP TABLE IF EXISTS `ref_jenis_sampel`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ref_jenis_sampel` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `is_active` int DEFAULT NULL,
  `created_at` int DEFAULT NULL,
  `created_by` int DEFAULT NULL,
  `updated_at` int DEFAULT NULL,
  `updated_by` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ref_jenis_sampel`
--

LOCK TABLES `ref_jenis_sampel` WRITE;
/*!40000 ALTER TABLE `ref_jenis_sampel` DISABLE KEYS */;
INSERT INTO `ref_jenis_sampel` VALUES (1,'Beracun',1,NULL,NULL,NULL,NULL),(2,'Menguap',1,NULL,NULL,NULL,NULL),(3,'Mudah Terbakar',1,NULL,NULL,NULL,NULL),(4,'Mudah Meledak',1,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `ref_jenis_sampel` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ref_kategori_sample`
--

DROP TABLE IF EXISTS `ref_kategori_sample`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ref_kategori_sample` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `is_active` int DEFAULT NULL,
  `created_at` int DEFAULT NULL,
  `created_by` int DEFAULT NULL,
  `updated_at` int DEFAULT NULL,
  `updated_by` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ref_kategori_sample`
--

LOCK TABLES `ref_kategori_sample` WRITE;
/*!40000 ALTER TABLE `ref_kategori_sample` DISABLE KEYS */;
INSERT INTO `ref_kategori_sample` VALUES (1,'Logam',1,NULL,NULL,NULL,NULL),(2,'Non Logam',1,NULL,NULL,NULL,NULL),(3,'Kayu',1,NULL,NULL,NULL,NULL),(4,'Beton',1,NULL,NULL,NULL,NULL),(5,'Beton Silinder',1,NULL,NULL,NULL,NULL),(6,'Beton Kubus',1,NULL,NULL,NULL,NULL),(7,'Mortar',1,NULL,NULL,NULL,NULL),(8,'Cair',1,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `ref_kategori_sample` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ref_parameter_pengujian`
--

DROP TABLE IF EXISTS `ref_parameter_pengujian`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ref_parameter_pengujian` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `is_active` int DEFAULT NULL,
  `created_at` int DEFAULT NULL,
  `created_by` int DEFAULT NULL,
  `updated_at` int DEFAULT NULL,
  `updated_by` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ref_parameter_pengujian`
--

LOCK TABLES `ref_parameter_pengujian` WRITE;
/*!40000 ALTER TABLE `ref_parameter_pengujian` DISABLE KEYS */;
INSERT INTO `ref_parameter_pengujian` VALUES (1,'Cu',1,NULL,NULL,NULL,NULL),(2,'Hg',1,NULL,NULL,NULL,NULL),(3,'Fe',1,NULL,NULL,NULL,NULL),(4,'Cd',1,NULL,NULL,NULL,NULL),(5,'Mn',1,NULL,NULL,NULL,NULL),(6,'Pb',1,NULL,NULL,NULL,NULL),(7,'Ca',1,NULL,NULL,NULL,NULL),(8,'As',1,NULL,NULL,NULL,NULL),(9,'Mg',1,NULL,NULL,NULL,NULL),(10,'Zn',1,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `ref_parameter_pengujian` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ref_standar_pengujian`
--

DROP TABLE IF EXISTS `ref_standar_pengujian`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ref_standar_pengujian` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `is_active` int DEFAULT NULL,
  `created_at` int DEFAULT NULL,
  `created_by` int DEFAULT NULL,
  `updated_at` int DEFAULT NULL,
  `updated_by` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ref_standar_pengujian`
--

LOCK TABLES `ref_standar_pengujian` WRITE;
/*!40000 ALTER TABLE `ref_standar_pengujian` DISABLE KEYS */;
INSERT INTO `ref_standar_pengujian` VALUES (1,'Uji Tarik untuk Logam (SNI 8389:2017)',1,NULL,NULL,NULL,NULL),(2,'Uji Tarik untuk Logam (SNI ASTM E8/ E8M 13)',1,NULL,NULL,NULL,NULL),(3,'Uji Tarik untuk Kayu (SNI 03-3399-1994)',1,NULL,NULL,NULL,NULL),(4,'Uji Tekan untuk Beton Silinder (SNI 1974:2011, diameter 160mm, tinggi/tebal 300mm)',1,NULL,NULL,NULL,NULL),(5,'Uji Tekan untuk Beton Kubus (SNI 03-1974-1990, panjang 150mm, lebar 150mm, tinggi/tebal 150mm)',1,NULL,NULL,NULL,NULL),(6,'Uji Tekan untuk Beton Kubus (panjang 100mm, lebar 100mm, tinggi/tebal 100mm)',1,NULL,NULL,NULL,NULL),(7,'Uji Tekan untuk Mortar (SNI 03-6825-2002, panjang 50mm, lebar 50mm, tinggi/tebal 50mm)',1,NULL,NULL,NULL,NULL),(8,'Uji Tekan untuk Kayu (SNI 03-3958-1995, panjang 200mm, lebar 50mm, tinggi/tebal 50mm)',1,NULL,NULL,NULL,NULL),(9,'Uji Lengkung untuk Logam (SNI 1410:2017)',1,NULL,NULL,NULL,NULL),(10,'Uji Kuat Lentur untuk Beton (SNI 03-4154-2014)',1,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `ref_standar_pengujian` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `survey`
--

DROP TABLE IF EXISTS `survey`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `survey` (
  `id` int NOT NULL AUTO_INCREMENT,
  `pengujian_id` int DEFAULT NULL,
  `question_id` varchar(255) DEFAULT NULL,
  `answer_id` int DEFAULT NULL,
  `answer_text` text,
  `created_at` int DEFAULT NULL,
  `created_by` int DEFAULT NULL,
  `updated_at` int DEFAULT NULL,
  `updated_by` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `survey`
--

LOCK TABLES `survey` WRITE;
/*!40000 ALTER TABLE `survey` DISABLE KEYS */;
INSERT INTO `survey` VALUES (1,38,'A1',2,NULL,1675823636,22,1675823636,22),(2,38,'A2',2,NULL,1675823636,22,1675823636,22),(3,38,'A3',2,NULL,1675823636,22,1675823636,22),(4,38,'A4',2,NULL,1675823636,22,1675823636,22),(5,38,'A5',2,NULL,1675823636,22,1675823636,22),(6,38,'A6',2,NULL,1675823636,22,1675823636,22),(7,38,'A7',2,NULL,1675823636,22,1675823636,22),(8,38,'B1',2,NULL,1675823636,22,1675823636,22),(9,38,'B2',2,NULL,1675823636,22,1675823636,22),(10,38,'B3',2,NULL,1675823636,22,1675823636,22),(11,38,'B4',2,NULL,1675823636,22,1675823636,22),(12,38,'B5',2,NULL,1675823636,22,1675823636,22),(13,38,'B6',2,NULL,1675823636,22,1675823636,22),(14,38,'B7',2,NULL,1675823636,22,1675823636,22),(15,38,'B8',2,NULL,1675823636,22,1675823636,22),(16,38,'B9',2,NULL,1675823636,22,1675823636,22),(17,38,'B10',2,NULL,1675823636,22,1675823636,22),(18,38,'B11',2,NULL,1675823636,22,1675823636,22),(19,38,'B12',2,NULL,1675823636,22,1675823636,22),(20,38,'C1',NULL,'terus ramah melayani konsumen',1675823636,22,1675823636,22);
/*!40000 ALTER TABLE `survey` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `system_db_migration`
--

DROP TABLE IF EXISTS `system_db_migration`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `system_db_migration` (
  `version` varchar(180) NOT NULL,
  `apply_time` int DEFAULT NULL,
  PRIMARY KEY (`version`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `system_db_migration`
--

LOCK TABLES `system_db_migration` WRITE;
/*!40000 ALTER TABLE `system_db_migration` DISABLE KEYS */;
INSERT INTO `system_db_migration` VALUES ('m000000_000000_base',1669605589),('m140703_123000_user',1669605593),('m140703_123055_log',1669605593),('m140703_123813_rbac',1669605593),('m140805_084745_key_storage_item',1669605593),('m150318_213934_file_storage_item',1669605593),('m150725_192740_seed_data',1669605594),('m160203_095604_user_token',1669605594),('m221118_161249_form_pengujian_utm',1669605594),('m221120_173938_form_pengujian_sem',1669605594),('m221121_191359_form_pengujian_aas',1669605595),('m221127_074508_add_kepala_lab',1669605595),('m221127_084239_validation_utm',1669605595),('m221127_103351_utm_invoice',1669605595),('m221207_015121_update_user_profile',1673068268),('m221211_052718_remove_module',1673068268),('m221211_054134_add_reference_table',1673068269),('m221211_083004_jenis_pengujian_table',1673068269),('m221221_155254_jenis_pengujian_detail_type',1673068269),('m221226_021535_pengujian',1673068269),('m230111_093040_jenis_pengujian_jenis_sample_text',1673448610),('m230118_071158_pengujian_detail_sample_gambar',1675469728),('m230118_151533_profile_lab',1675469728),('m230123_050401_catatan_lab_admin',1675469728),('m230123_053527_jenis_pengujian_penempatan_lab',1675469728),('m230123_115631_pengujian_accept',1675469728),('m230202_074012_bukti_invoice_payment',1675469728),('m230202_180927_berkas_laporan',1675469728),('m230203_193332_berkas_certificate',1675469728),('m230207_150739_survey',1675795925),('m230207_181024_profile_asal_department',1675795925);
/*!40000 ALTER TABLE `system_db_migration` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `system_log`
--

DROP TABLE IF EXISTS `system_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `system_log` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `level` int DEFAULT NULL,
  `category` varchar(255) COLLATE utf8mb3_unicode_ci DEFAULT NULL,
  `log_time` double DEFAULT NULL,
  `prefix` text COLLATE utf8mb3_unicode_ci,
  `message` text COLLATE utf8mb3_unicode_ci,
  PRIMARY KEY (`id`),
  KEY `idx_log_level` (`level`),
  KEY `idx_log_category` (`category`)
) ENGINE=InnoDB AUTO_INCREMENT=55 DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `system_log`
--

LOCK TABLES `system_log` WRITE;
/*!40000 ALTER TABLE `system_log` DISABLE KEYS */;
INSERT INTO `system_log` VALUES (45,1,'yii\\base\\UnknownPropertyException',1673334586.5268,'[frontend][/form-pengujian?id=2]','yii\\base\\UnknownPropertyException: Getting unknown property: common\\models\\Pengujian::invoice_total_price in /var/www/labterpadu/vendor/yiisoft/yii2/base/Component.php:154\nStack trace:\n#0 /var/www/labterpadu/vendor/yiisoft/yii2/db/BaseActiveRecord.php(296): yii\\base\\Component->__get()\n#1 /var/www/labterpadu/vendor/yiisoft/yii2/validators/Validator.php(257): yii\\db\\BaseActiveRecord->__get()\n#2 /var/www/labterpadu/vendor/yiisoft/yii2/base/Model.php(360): yii\\validators\\Validator->validateAttributes()\n#3 /var/www/labterpadu/vendor/yiisoft/yii2/db/ActiveRecord.php(564): yii\\base\\Model->validate()\n#4 /var/www/labterpadu/vendor/yiisoft/yii2/db/BaseActiveRecord.php(676): yii\\db\\ActiveRecord->insert()\n#5 /var/www/labterpadu/frontend/controllers/FormPengujianController.php(41): yii\\db\\BaseActiveRecord->save()\n#6 [internal function]: frontend\\controllers\\FormPengujianController->actionIndex()\n#7 /var/www/labterpadu/vendor/yiisoft/yii2/base/InlineAction.php(57): call_user_func_array()\n#8 /var/www/labterpadu/vendor/yiisoft/yii2/base/Controller.php(178): yii\\base\\InlineAction->runWithParams()\n#9 /var/www/labterpadu/vendor/yiisoft/yii2/base/Module.php(552): yii\\base\\Controller->runAction()\n#10 /var/www/labterpadu/vendor/yiisoft/yii2/web/Application.php(103): yii\\base\\Module->runAction()\n#11 /var/www/labterpadu/vendor/yiisoft/yii2/base/Application.php(384): yii\\web\\Application->handleRequest()\n#12 /var/www/labterpadu/frontend/web/index.php(22): yii\\base\\Application->run()\n#13 {main}'),(46,1,'yii\\base\\UnknownPropertyException',1673335670.5961,'[frontend][/form-pengujian?id=2]','yii\\base\\UnknownPropertyException: Getting unknown property: common\\models\\Pengujian::invoice_total_price in /var/www/labterpadu/vendor/yiisoft/yii2/base/Component.php:154\nStack trace:\n#0 /var/www/labterpadu/vendor/yiisoft/yii2/db/BaseActiveRecord.php(296): yii\\base\\Component->__get()\n#1 /var/www/labterpadu/vendor/yiisoft/yii2/validators/Validator.php(257): yii\\db\\BaseActiveRecord->__get()\n#2 /var/www/labterpadu/vendor/yiisoft/yii2/base/Model.php(360): yii\\validators\\Validator->validateAttributes()\n#3 /var/www/labterpadu/vendor/yiisoft/yii2/db/ActiveRecord.php(564): yii\\base\\Model->validate()\n#4 /var/www/labterpadu/vendor/yiisoft/yii2/db/BaseActiveRecord.php(676): yii\\db\\ActiveRecord->insert()\n#5 /var/www/labterpadu/frontend/controllers/FormPengujianController.php(41): yii\\db\\BaseActiveRecord->save()\n#6 [internal function]: frontend\\controllers\\FormPengujianController->actionIndex()\n#7 /var/www/labterpadu/vendor/yiisoft/yii2/base/InlineAction.php(57): call_user_func_array()\n#8 /var/www/labterpadu/vendor/yiisoft/yii2/base/Controller.php(178): yii\\base\\InlineAction->runWithParams()\n#9 /var/www/labterpadu/vendor/yiisoft/yii2/base/Module.php(552): yii\\base\\Controller->runAction()\n#10 /var/www/labterpadu/vendor/yiisoft/yii2/web/Application.php(103): yii\\base\\Module->runAction()\n#11 /var/www/labterpadu/vendor/yiisoft/yii2/base/Application.php(384): yii\\web\\Application->handleRequest()\n#12 /var/www/labterpadu/frontend/web/index.php(22): yii\\base\\Application->run()\n#13 {main}'),(47,1,'yii\\base\\UnknownPropertyException',1673337137.4214,'[frontend][/form-pengujian?id=2]','yii\\base\\UnknownPropertyException: Getting unknown property: common\\models\\Pengujian::invoice_total_price in /var/www/labterpadu/vendor/yiisoft/yii2/base/Component.php:154\nStack trace:\n#0 /var/www/labterpadu/vendor/yiisoft/yii2/db/BaseActiveRecord.php(296): yii\\base\\Component->__get()\n#1 /var/www/labterpadu/vendor/yiisoft/yii2/validators/Validator.php(257): yii\\db\\BaseActiveRecord->__get()\n#2 /var/www/labterpadu/vendor/yiisoft/yii2/base/Model.php(360): yii\\validators\\Validator->validateAttributes()\n#3 /var/www/labterpadu/vendor/yiisoft/yii2/db/ActiveRecord.php(564): yii\\base\\Model->validate()\n#4 /var/www/labterpadu/vendor/yiisoft/yii2/db/BaseActiveRecord.php(676): yii\\db\\ActiveRecord->insert()\n#5 /var/www/labterpadu/frontend/controllers/FormPengujianController.php(41): yii\\db\\BaseActiveRecord->save()\n#6 [internal function]: frontend\\controllers\\FormPengujianController->actionIndex()\n#7 /var/www/labterpadu/vendor/yiisoft/yii2/base/InlineAction.php(57): call_user_func_array()\n#8 /var/www/labterpadu/vendor/yiisoft/yii2/base/Controller.php(178): yii\\base\\InlineAction->runWithParams()\n#9 /var/www/labterpadu/vendor/yiisoft/yii2/base/Module.php(552): yii\\base\\Controller->runAction()\n#10 /var/www/labterpadu/vendor/yiisoft/yii2/web/Application.php(103): yii\\base\\Module->runAction()\n#11 /var/www/labterpadu/vendor/yiisoft/yii2/base/Application.php(384): yii\\web\\Application->handleRequest()\n#12 /var/www/labterpadu/frontend/web/index.php(22): yii\\base\\Application->run()\n#13 {main}'),(48,1,'yii\\base\\ErrorException:2',1673477706.2655,'[frontend][/form-pengujian?id=2]','yii\\base\\ErrorException: move_uploaded_file(/var/www/labterpadu/storage/web/source/pengujian/16734777065c0407d7.jpeg): Failed to open stream: Permission denied in /var/www/labterpadu/vendor/yiisoft/yii2/web/UploadedFile.php:197\nStack trace:\n#0 [internal function]: yii\\base\\ErrorHandler->handleError()\n#1 /var/www/labterpadu/vendor/yiisoft/yii2/web/UploadedFile.php(197): move_uploaded_file()\n#2 /var/www/labterpadu/common/models/Pengujian.php(256): yii\\web\\UploadedFile->saveAs()\n#3 /var/www/labterpadu/frontend/controllers/FormPengujianController.php(63): common\\models\\Pengujian::storeData()\n#4 [internal function]: frontend\\controllers\\FormPengujianController->actionIndex()\n#5 /var/www/labterpadu/vendor/yiisoft/yii2/base/InlineAction.php(57): call_user_func_array()\n#6 /var/www/labterpadu/vendor/yiisoft/yii2/base/Controller.php(178): yii\\base\\InlineAction->runWithParams()\n#7 /var/www/labterpadu/vendor/yiisoft/yii2/base/Module.php(552): yii\\base\\Controller->runAction()\n#8 /var/www/labterpadu/vendor/yiisoft/yii2/web/Application.php(103): yii\\base\\Module->runAction()\n#9 /var/www/labterpadu/vendor/yiisoft/yii2/base/Application.php(384): yii\\web\\Application->handleRequest()\n#10 /var/www/labterpadu/frontend/web/index.php(22): yii\\base\\Application->run()\n#11 {main}'),(49,1,'yii\\db\\Exception',1675652711.7094,'[backend][/pengujian/validate?id=29]','PDOException: SQLSTATE[HY000]: General error: 1364 Field \'level\' doesn\'t have a default value in /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php:1302\nStack trace:\n#0 /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php(1302): PDOStatement->execute()\n#1 /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php(1102): yii\\db\\Command->internalExecute()\n#2 /var/www/labterpadu/vendor/yiisoft/yii2/db/Schema.php(431): yii\\db\\Command->execute()\n#3 /var/www/labterpadu/vendor/yiisoft/yii2/db/ActiveRecord.php(604): yii\\db\\Schema->insert()\n#4 /var/www/labterpadu/vendor/yiisoft/yii2/db/ActiveRecord.php(570): yii\\db\\ActiveRecord->insertInternal()\n#5 /var/www/labterpadu/vendor/yiisoft/yii2/db/BaseActiveRecord.php(676): yii\\db\\ActiveRecord->insert()\n#6 /var/www/labterpadu/backend/controllers/PengujianController.php(456): yii\\db\\BaseActiveRecord->save()\n#7 [internal function]: backend\\controllers\\PengujianController->actionValidate()\n#8 /var/www/labterpadu/vendor/yiisoft/yii2/base/InlineAction.php(57): call_user_func_array()\n#9 /var/www/labterpadu/vendor/yiisoft/yii2/base/Controller.php(178): yii\\base\\InlineAction->runWithParams()\n#10 /var/www/labterpadu/vendor/yiisoft/yii2/base/Module.php(552): yii\\base\\Controller->runAction()\n#11 /var/www/labterpadu/vendor/yiisoft/yii2/web/Application.php(103): yii\\base\\Module->runAction()\n#12 /var/www/labterpadu/vendor/yiisoft/yii2/base/Application.php(384): yii\\web\\Application->handleRequest()\n#13 /var/www/labterpadu/backend/web/index.php(23): yii\\base\\Application->run()\n#14 {main}\n\nNext yii\\db\\Exception: SQLSTATE[HY000]: General error: 1364 Field \'level\' doesn\'t have a default value\nThe SQL being executed was: INSERT INTO `pengujian_verify` (`pengujian_id`, `is_accept`, `comment`, `updated_by`, `updated_at`) VALUES (29, 1, \'lanjutkan\', 13, 1675652711) in /var/www/labterpadu/vendor/yiisoft/yii2/db/Schema.php:676\nStack trace:\n#0 /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php(1307): yii\\db\\Schema->convertException()\n#1 /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php(1102): yii\\db\\Command->internalExecute()\n#2 /var/www/labterpadu/vendor/yiisoft/yii2/db/Schema.php(431): yii\\db\\Command->execute()\n#3 /var/www/labterpadu/vendor/yiisoft/yii2/db/ActiveRecord.php(604): yii\\db\\Schema->insert()\n#4 /var/www/labterpadu/vendor/yiisoft/yii2/db/ActiveRecord.php(570): yii\\db\\ActiveRecord->insertInternal()\n#5 /var/www/labterpadu/vendor/yiisoft/yii2/db/BaseActiveRecord.php(676): yii\\db\\ActiveRecord->insert()\n#6 /var/www/labterpadu/backend/controllers/PengujianController.php(456): yii\\db\\BaseActiveRecord->save()\n#7 [internal function]: backend\\controllers\\PengujianController->actionValidate()\n#8 /var/www/labterpadu/vendor/yiisoft/yii2/base/InlineAction.php(57): call_user_func_array()\n#9 /var/www/labterpadu/vendor/yiisoft/yii2/base/Controller.php(178): yii\\base\\InlineAction->runWithParams()\n#10 /var/www/labterpadu/vendor/yiisoft/yii2/base/Module.php(552): yii\\base\\Controller->runAction()\n#11 /var/www/labterpadu/vendor/yiisoft/yii2/web/Application.php(103): yii\\base\\Module->runAction()\n#12 /var/www/labterpadu/vendor/yiisoft/yii2/base/Application.php(384): yii\\web\\Application->handleRequest()\n#13 /var/www/labterpadu/backend/web/index.php(23): yii\\base\\Application->run()\n#14 {main}\nAdditional Information:\nArray\n(\n    [0] => HY000\n    [1] => 1364\n    [2] => Field \'level\' doesn\'t have a default value\n)\n'),(50,1,'yii\\db\\Exception',1675652724.5271,'[backend][/pengujian/validate?id=29]','PDOException: SQLSTATE[HY000]: General error: 1364 Field \'level\' doesn\'t have a default value in /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php:1302\nStack trace:\n#0 /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php(1302): PDOStatement->execute()\n#1 /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php(1102): yii\\db\\Command->internalExecute()\n#2 /var/www/labterpadu/vendor/yiisoft/yii2/db/Schema.php(431): yii\\db\\Command->execute()\n#3 /var/www/labterpadu/vendor/yiisoft/yii2/db/ActiveRecord.php(604): yii\\db\\Schema->insert()\n#4 /var/www/labterpadu/vendor/yiisoft/yii2/db/ActiveRecord.php(570): yii\\db\\ActiveRecord->insertInternal()\n#5 /var/www/labterpadu/vendor/yiisoft/yii2/db/BaseActiveRecord.php(676): yii\\db\\ActiveRecord->insert()\n#6 /var/www/labterpadu/backend/controllers/PengujianController.php(456): yii\\db\\BaseActiveRecord->save()\n#7 [internal function]: backend\\controllers\\PengujianController->actionValidate()\n#8 /var/www/labterpadu/vendor/yiisoft/yii2/base/InlineAction.php(57): call_user_func_array()\n#9 /var/www/labterpadu/vendor/yiisoft/yii2/base/Controller.php(178): yii\\base\\InlineAction->runWithParams()\n#10 /var/www/labterpadu/vendor/yiisoft/yii2/base/Module.php(552): yii\\base\\Controller->runAction()\n#11 /var/www/labterpadu/vendor/yiisoft/yii2/web/Application.php(103): yii\\base\\Module->runAction()\n#12 /var/www/labterpadu/vendor/yiisoft/yii2/base/Application.php(384): yii\\web\\Application->handleRequest()\n#13 /var/www/labterpadu/backend/web/index.php(23): yii\\base\\Application->run()\n#14 {main}\n\nNext yii\\db\\Exception: SQLSTATE[HY000]: General error: 1364 Field \'level\' doesn\'t have a default value\nThe SQL being executed was: INSERT INTO `pengujian_verify` (`pengujian_id`, `is_accept`, `comment`, `updated_by`, `updated_at`) VALUES (29, 0, \'\', 13, 1675652724) in /var/www/labterpadu/vendor/yiisoft/yii2/db/Schema.php:676\nStack trace:\n#0 /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php(1307): yii\\db\\Schema->convertException()\n#1 /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php(1102): yii\\db\\Command->internalExecute()\n#2 /var/www/labterpadu/vendor/yiisoft/yii2/db/Schema.php(431): yii\\db\\Command->execute()\n#3 /var/www/labterpadu/vendor/yiisoft/yii2/db/ActiveRecord.php(604): yii\\db\\Schema->insert()\n#4 /var/www/labterpadu/vendor/yiisoft/yii2/db/ActiveRecord.php(570): yii\\db\\ActiveRecord->insertInternal()\n#5 /var/www/labterpadu/vendor/yiisoft/yii2/db/BaseActiveRecord.php(676): yii\\db\\ActiveRecord->insert()\n#6 /var/www/labterpadu/backend/controllers/PengujianController.php(456): yii\\db\\BaseActiveRecord->save()\n#7 [internal function]: backend\\controllers\\PengujianController->actionValidate()\n#8 /var/www/labterpadu/vendor/yiisoft/yii2/base/InlineAction.php(57): call_user_func_array()\n#9 /var/www/labterpadu/vendor/yiisoft/yii2/base/Controller.php(178): yii\\base\\InlineAction->runWithParams()\n#10 /var/www/labterpadu/vendor/yiisoft/yii2/base/Module.php(552): yii\\base\\Controller->runAction()\n#11 /var/www/labterpadu/vendor/yiisoft/yii2/web/Application.php(103): yii\\base\\Module->runAction()\n#12 /var/www/labterpadu/vendor/yiisoft/yii2/base/Application.php(384): yii\\web\\Application->handleRequest()\n#13 /var/www/labterpadu/backend/web/index.php(23): yii\\base\\Application->run()\n#14 {main}\nAdditional Information:\nArray\n(\n    [0] => HY000\n    [1] => 1364\n    [2] => Field \'level\' doesn\'t have a default value\n)\n'),(51,1,'yii\\db\\Exception',1675652734.1322,'[backend][/pengujian/validate?id=29]','PDOException: SQLSTATE[HY000]: General error: 1364 Field \'level\' doesn\'t have a default value in /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php:1302\nStack trace:\n#0 /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php(1302): PDOStatement->execute()\n#1 /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php(1102): yii\\db\\Command->internalExecute()\n#2 /var/www/labterpadu/vendor/yiisoft/yii2/db/Schema.php(431): yii\\db\\Command->execute()\n#3 /var/www/labterpadu/vendor/yiisoft/yii2/db/ActiveRecord.php(604): yii\\db\\Schema->insert()\n#4 /var/www/labterpadu/vendor/yiisoft/yii2/db/ActiveRecord.php(570): yii\\db\\ActiveRecord->insertInternal()\n#5 /var/www/labterpadu/vendor/yiisoft/yii2/db/BaseActiveRecord.php(676): yii\\db\\ActiveRecord->insert()\n#6 /var/www/labterpadu/backend/controllers/PengujianController.php(456): yii\\db\\BaseActiveRecord->save()\n#7 [internal function]: backend\\controllers\\PengujianController->actionValidate()\n#8 /var/www/labterpadu/vendor/yiisoft/yii2/base/InlineAction.php(57): call_user_func_array()\n#9 /var/www/labterpadu/vendor/yiisoft/yii2/base/Controller.php(178): yii\\base\\InlineAction->runWithParams()\n#10 /var/www/labterpadu/vendor/yiisoft/yii2/base/Module.php(552): yii\\base\\Controller->runAction()\n#11 /var/www/labterpadu/vendor/yiisoft/yii2/web/Application.php(103): yii\\base\\Module->runAction()\n#12 /var/www/labterpadu/vendor/yiisoft/yii2/base/Application.php(384): yii\\web\\Application->handleRequest()\n#13 /var/www/labterpadu/backend/web/index.php(23): yii\\base\\Application->run()\n#14 {main}\n\nNext yii\\db\\Exception: SQLSTATE[HY000]: General error: 1364 Field \'level\' doesn\'t have a default value\nThe SQL being executed was: INSERT INTO `pengujian_verify` (`pengujian_id`, `is_accept`, `comment`, `updated_by`, `updated_at`) VALUES (29, 1, \'\', 13, 1675652734) in /var/www/labterpadu/vendor/yiisoft/yii2/db/Schema.php:676\nStack trace:\n#0 /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php(1307): yii\\db\\Schema->convertException()\n#1 /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php(1102): yii\\db\\Command->internalExecute()\n#2 /var/www/labterpadu/vendor/yiisoft/yii2/db/Schema.php(431): yii\\db\\Command->execute()\n#3 /var/www/labterpadu/vendor/yiisoft/yii2/db/ActiveRecord.php(604): yii\\db\\Schema->insert()\n#4 /var/www/labterpadu/vendor/yiisoft/yii2/db/ActiveRecord.php(570): yii\\db\\ActiveRecord->insertInternal()\n#5 /var/www/labterpadu/vendor/yiisoft/yii2/db/BaseActiveRecord.php(676): yii\\db\\ActiveRecord->insert()\n#6 /var/www/labterpadu/backend/controllers/PengujianController.php(456): yii\\db\\BaseActiveRecord->save()\n#7 [internal function]: backend\\controllers\\PengujianController->actionValidate()\n#8 /var/www/labterpadu/vendor/yiisoft/yii2/base/InlineAction.php(57): call_user_func_array()\n#9 /var/www/labterpadu/vendor/yiisoft/yii2/base/Controller.php(178): yii\\base\\InlineAction->runWithParams()\n#10 /var/www/labterpadu/vendor/yiisoft/yii2/base/Module.php(552): yii\\base\\Controller->runAction()\n#11 /var/www/labterpadu/vendor/yiisoft/yii2/web/Application.php(103): yii\\base\\Module->runAction()\n#12 /var/www/labterpadu/vendor/yiisoft/yii2/base/Application.php(384): yii\\web\\Application->handleRequest()\n#13 /var/www/labterpadu/backend/web/index.php(23): yii\\base\\Application->run()\n#14 {main}\nAdditional Information:\nArray\n(\n    [0] => HY000\n    [1] => 1364\n    [2] => Field \'level\' doesn\'t have a default value\n)\n'),(52,1,'yii\\db\\Exception',1675674484.7859,'[backend][/pengujian/validate?id=29]','PDOException: SQLSTATE[HY000]: General error: 1364 Field \'level\' doesn\'t have a default value in /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php:1302\nStack trace:\n#0 /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php(1302): PDOStatement->execute()\n#1 /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php(1102): yii\\db\\Command->internalExecute()\n#2 /var/www/labterpadu/vendor/yiisoft/yii2/db/Schema.php(431): yii\\db\\Command->execute()\n#3 /var/www/labterpadu/vendor/yiisoft/yii2/db/ActiveRecord.php(604): yii\\db\\Schema->insert()\n#4 /var/www/labterpadu/vendor/yiisoft/yii2/db/ActiveRecord.php(570): yii\\db\\ActiveRecord->insertInternal()\n#5 /var/www/labterpadu/vendor/yiisoft/yii2/db/BaseActiveRecord.php(676): yii\\db\\ActiveRecord->insert()\n#6 /var/www/labterpadu/backend/controllers/PengujianController.php(456): yii\\db\\BaseActiveRecord->save()\n#7 [internal function]: backend\\controllers\\PengujianController->actionValidate()\n#8 /var/www/labterpadu/vendor/yiisoft/yii2/base/InlineAction.php(57): call_user_func_array()\n#9 /var/www/labterpadu/vendor/yiisoft/yii2/base/Controller.php(178): yii\\base\\InlineAction->runWithParams()\n#10 /var/www/labterpadu/vendor/yiisoft/yii2/base/Module.php(552): yii\\base\\Controller->runAction()\n#11 /var/www/labterpadu/vendor/yiisoft/yii2/web/Application.php(103): yii\\base\\Module->runAction()\n#12 /var/www/labterpadu/vendor/yiisoft/yii2/base/Application.php(384): yii\\web\\Application->handleRequest()\n#13 /var/www/labterpadu/backend/web/index.php(23): yii\\base\\Application->run()\n#14 {main}\n\nNext yii\\db\\Exception: SQLSTATE[HY000]: General error: 1364 Field \'level\' doesn\'t have a default value\nThe SQL being executed was: INSERT INTO `pengujian_verify` (`pengujian_id`, `is_accept`, `comment`, `updated_by`, `updated_at`) VALUES (29, 1, \'\', 13, 1675674484) in /var/www/labterpadu/vendor/yiisoft/yii2/db/Schema.php:676\nStack trace:\n#0 /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php(1307): yii\\db\\Schema->convertException()\n#1 /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php(1102): yii\\db\\Command->internalExecute()\n#2 /var/www/labterpadu/vendor/yiisoft/yii2/db/Schema.php(431): yii\\db\\Command->execute()\n#3 /var/www/labterpadu/vendor/yiisoft/yii2/db/ActiveRecord.php(604): yii\\db\\Schema->insert()\n#4 /var/www/labterpadu/vendor/yiisoft/yii2/db/ActiveRecord.php(570): yii\\db\\ActiveRecord->insertInternal()\n#5 /var/www/labterpadu/vendor/yiisoft/yii2/db/BaseActiveRecord.php(676): yii\\db\\ActiveRecord->insert()\n#6 /var/www/labterpadu/backend/controllers/PengujianController.php(456): yii\\db\\BaseActiveRecord->save()\n#7 [internal function]: backend\\controllers\\PengujianController->actionValidate()\n#8 /var/www/labterpadu/vendor/yiisoft/yii2/base/InlineAction.php(57): call_user_func_array()\n#9 /var/www/labterpadu/vendor/yiisoft/yii2/base/Controller.php(178): yii\\base\\InlineAction->runWithParams()\n#10 /var/www/labterpadu/vendor/yiisoft/yii2/base/Module.php(552): yii\\base\\Controller->runAction()\n#11 /var/www/labterpadu/vendor/yiisoft/yii2/web/Application.php(103): yii\\base\\Module->runAction()\n#12 /var/www/labterpadu/vendor/yiisoft/yii2/base/Application.php(384): yii\\web\\Application->handleRequest()\n#13 /var/www/labterpadu/backend/web/index.php(23): yii\\base\\Application->run()\n#14 {main}\nAdditional Information:\nArray\n(\n    [0] => HY000\n    [1] => 1364\n    [2] => Field \'level\' doesn\'t have a default value\n)\n'),(53,1,'yii\\db\\Exception',1675675514.7547,'[backend][/pengujian/validate?id=34]','PDOException: SQLSTATE[HY000]: General error: 1364 Field \'level\' doesn\'t have a default value in /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php:1302\nStack trace:\n#0 /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php(1302): PDOStatement->execute()\n#1 /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php(1102): yii\\db\\Command->internalExecute()\n#2 /var/www/labterpadu/vendor/yiisoft/yii2/db/Schema.php(431): yii\\db\\Command->execute()\n#3 /var/www/labterpadu/vendor/yiisoft/yii2/db/ActiveRecord.php(604): yii\\db\\Schema->insert()\n#4 /var/www/labterpadu/vendor/yiisoft/yii2/db/ActiveRecord.php(570): yii\\db\\ActiveRecord->insertInternal()\n#5 /var/www/labterpadu/vendor/yiisoft/yii2/db/BaseActiveRecord.php(676): yii\\db\\ActiveRecord->insert()\n#6 /var/www/labterpadu/backend/controllers/PengujianController.php(456): yii\\db\\BaseActiveRecord->save()\n#7 [internal function]: backend\\controllers\\PengujianController->actionValidate()\n#8 /var/www/labterpadu/vendor/yiisoft/yii2/base/InlineAction.php(57): call_user_func_array()\n#9 /var/www/labterpadu/vendor/yiisoft/yii2/base/Controller.php(178): yii\\base\\InlineAction->runWithParams()\n#10 /var/www/labterpadu/vendor/yiisoft/yii2/base/Module.php(552): yii\\base\\Controller->runAction()\n#11 /var/www/labterpadu/vendor/yiisoft/yii2/web/Application.php(103): yii\\base\\Module->runAction()\n#12 /var/www/labterpadu/vendor/yiisoft/yii2/base/Application.php(384): yii\\web\\Application->handleRequest()\n#13 /var/www/labterpadu/backend/web/index.php(23): yii\\base\\Application->run()\n#14 {main}\n\nNext yii\\db\\Exception: SQLSTATE[HY000]: General error: 1364 Field \'level\' doesn\'t have a default value\nThe SQL being executed was: INSERT INTO `pengujian_verify` (`pengujian_id`, `is_accept`, `comment`, `updated_by`, `updated_at`) VALUES (34, 1, \'\', 13, 1675675514) in /var/www/labterpadu/vendor/yiisoft/yii2/db/Schema.php:676\nStack trace:\n#0 /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php(1307): yii\\db\\Schema->convertException()\n#1 /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php(1102): yii\\db\\Command->internalExecute()\n#2 /var/www/labterpadu/vendor/yiisoft/yii2/db/Schema.php(431): yii\\db\\Command->execute()\n#3 /var/www/labterpadu/vendor/yiisoft/yii2/db/ActiveRecord.php(604): yii\\db\\Schema->insert()\n#4 /var/www/labterpadu/vendor/yiisoft/yii2/db/ActiveRecord.php(570): yii\\db\\ActiveRecord->insertInternal()\n#5 /var/www/labterpadu/vendor/yiisoft/yii2/db/BaseActiveRecord.php(676): yii\\db\\ActiveRecord->insert()\n#6 /var/www/labterpadu/backend/controllers/PengujianController.php(456): yii\\db\\BaseActiveRecord->save()\n#7 [internal function]: backend\\controllers\\PengujianController->actionValidate()\n#8 /var/www/labterpadu/vendor/yiisoft/yii2/base/InlineAction.php(57): call_user_func_array()\n#9 /var/www/labterpadu/vendor/yiisoft/yii2/base/Controller.php(178): yii\\base\\InlineAction->runWithParams()\n#10 /var/www/labterpadu/vendor/yiisoft/yii2/base/Module.php(552): yii\\base\\Controller->runAction()\n#11 /var/www/labterpadu/vendor/yiisoft/yii2/web/Application.php(103): yii\\base\\Module->runAction()\n#12 /var/www/labterpadu/vendor/yiisoft/yii2/base/Application.php(384): yii\\web\\Application->handleRequest()\n#13 /var/www/labterpadu/backend/web/index.php(23): yii\\base\\Application->run()\n#14 {main}\nAdditional Information:\nArray\n(\n    [0] => HY000\n    [1] => 1364\n    [2] => Field \'level\' doesn\'t have a default value\n)\n'),(54,1,'yii\\db\\Exception',1675695103.5029,'[backend][/pengujian/validate?id=34]','PDOException: SQLSTATE[HY000]: General error: 1364 Field \'level\' doesn\'t have a default value in /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php:1302\nStack trace:\n#0 /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php(1302): PDOStatement->execute()\n#1 /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php(1102): yii\\db\\Command->internalExecute()\n#2 /var/www/labterpadu/vendor/yiisoft/yii2/db/Schema.php(431): yii\\db\\Command->execute()\n#3 /var/www/labterpadu/vendor/yiisoft/yii2/db/ActiveRecord.php(604): yii\\db\\Schema->insert()\n#4 /var/www/labterpadu/vendor/yiisoft/yii2/db/ActiveRecord.php(570): yii\\db\\ActiveRecord->insertInternal()\n#5 /var/www/labterpadu/vendor/yiisoft/yii2/db/BaseActiveRecord.php(676): yii\\db\\ActiveRecord->insert()\n#6 /var/www/labterpadu/backend/controllers/PengujianController.php(456): yii\\db\\BaseActiveRecord->save()\n#7 [internal function]: backend\\controllers\\PengujianController->actionValidate()\n#8 /var/www/labterpadu/vendor/yiisoft/yii2/base/InlineAction.php(57): call_user_func_array()\n#9 /var/www/labterpadu/vendor/yiisoft/yii2/base/Controller.php(178): yii\\base\\InlineAction->runWithParams()\n#10 /var/www/labterpadu/vendor/yiisoft/yii2/base/Module.php(552): yii\\base\\Controller->runAction()\n#11 /var/www/labterpadu/vendor/yiisoft/yii2/web/Application.php(103): yii\\base\\Module->runAction()\n#12 /var/www/labterpadu/vendor/yiisoft/yii2/base/Application.php(384): yii\\web\\Application->handleRequest()\n#13 /var/www/labterpadu/backend/web/index.php(23): yii\\base\\Application->run()\n#14 {main}\n\nNext yii\\db\\Exception: SQLSTATE[HY000]: General error: 1364 Field \'level\' doesn\'t have a default value\nThe SQL being executed was: INSERT INTO `pengujian_verify` (`pengujian_id`, `is_accept`, `comment`, `updated_by`, `updated_at`) VALUES (34, 1, \'ok\', 31, 1675695103) in /var/www/labterpadu/vendor/yiisoft/yii2/db/Schema.php:676\nStack trace:\n#0 /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php(1307): yii\\db\\Schema->convertException()\n#1 /var/www/labterpadu/vendor/yiisoft/yii2/db/Command.php(1102): yii\\db\\Command->internalExecute()\n#2 /var/www/labterpadu/vendor/yiisoft/yii2/db/Schema.php(431): yii\\db\\Command->execute()\n#3 /var/www/labterpadu/vendor/yiisoft/yii2/db/ActiveRecord.php(604): yii\\db\\Schema->insert()\n#4 /var/www/labterpadu/vendor/yiisoft/yii2/db/ActiveRecord.php(570): yii\\db\\ActiveRecord->insertInternal()\n#5 /var/www/labterpadu/vendor/yiisoft/yii2/db/BaseActiveRecord.php(676): yii\\db\\ActiveRecord->insert()\n#6 /var/www/labterpadu/backend/controllers/PengujianController.php(456): yii\\db\\BaseActiveRecord->save()\n#7 [internal function]: backend\\controllers\\PengujianController->actionValidate()\n#8 /var/www/labterpadu/vendor/yiisoft/yii2/base/InlineAction.php(57): call_user_func_array()\n#9 /var/www/labterpadu/vendor/yiisoft/yii2/base/Controller.php(178): yii\\base\\InlineAction->runWithParams()\n#10 /var/www/labterpadu/vendor/yiisoft/yii2/base/Module.php(552): yii\\base\\Controller->runAction()\n#11 /var/www/labterpadu/vendor/yiisoft/yii2/web/Application.php(103): yii\\base\\Module->runAction()\n#12 /var/www/labterpadu/vendor/yiisoft/yii2/base/Application.php(384): yii\\web\\Application->handleRequest()\n#13 /var/www/labterpadu/backend/web/index.php(23): yii\\base\\Application->run()\n#14 {main}\nAdditional Information:\nArray\n(\n    [0] => HY000\n    [1] => 1364\n    [2] => Field \'level\' doesn\'t have a default value\n)\n');
/*!40000 ALTER TABLE `system_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `system_rbac_migration`
--

DROP TABLE IF EXISTS `system_rbac_migration`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `system_rbac_migration` (
  `version` varchar(180) NOT NULL,
  `apply_time` int DEFAULT NULL,
  PRIMARY KEY (`version`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `system_rbac_migration`
--

LOCK TABLES `system_rbac_migration` WRITE;
/*!40000 ALTER TABLE `system_rbac_migration` DISABLE KEYS */;
INSERT INTO `system_rbac_migration` VALUES ('m000000_000000_base',1669605595),('m150625_214101_roles',1669605597),('m150625_215624_init_permissions',1669605597),('m151223_074604_edit_own_model',1669605597),('m221127_081641_add_roles',1669605597);
/*!40000 ALTER TABLE `system_rbac_migration` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user`
--

DROP TABLE IF EXISTS `user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user` (
  `id` int NOT NULL AUTO_INCREMENT,
  `username` varchar(32) DEFAULT NULL,
  `auth_key` varchar(32) NOT NULL,
  `access_token` varchar(40) NOT NULL,
  `password_hash` varchar(255) NOT NULL,
  `oauth_client` varchar(255) DEFAULT NULL,
  `oauth_client_user_id` varchar(255) DEFAULT NULL,
  `email` varchar(255) NOT NULL,
  `status` smallint NOT NULL DEFAULT '2',
  `created_at` int DEFAULT NULL,
  `updated_at` int DEFAULT NULL,
  `logged_at` int DEFAULT NULL,
  `penempatan_lab_id` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=33 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user`
--

LOCK TABLES `user` WRITE;
/*!40000 ALTER TABLE `user` DISABLE KEYS */;
INSERT INTO `user` VALUES (1,'webmaster','sMvIJU_C_7djhLyT8yAaBOEQWy-mmc5X','Y75yTfWxwdr3Y7cX6aqXxytJpkNURq-swuY2cQO4','$2y$13$pijOlA6/6MzA4fS3jOKrYuYH.fWJ08cpVK0K.B0yM5rZx6jhXXr1O',NULL,NULL,'webmaster@labterpadu.id',2,1669605594,1669607636,1676300662,NULL),(4,'baihaqi','s_L4T3Al1eTJLYQ3GZ8PITyQd_jfY9sA','JuNokzEXjfm8LNOBJRkJIuCKjgVkS_nGG8J_ax42','$2y$13$mu1XVDoC2kIT8gejaFbQLuITtktnxccZ6onxBjtdPQa8sOuUzIEWC',NULL,NULL,'baihaqi@usu.ac.id',2,1673327070,1673327070,1676261934,NULL),(5,'raysazahra','_O_wn8UUcD52mu_w04P2l_GhHLEzuK1T','IiAsWhUMNbVrZGC2CFL3g-KEHKgUFWBGY4ekexnE','$2y$13$VRI3jPY7DewJRGAUXodBw.D/HP8u9eU6CXYbrYH8FPZlrF//1YCD6',NULL,NULL,'raysazahra@usu.ac.id',2,1673327669,1673426734,1676263310,NULL),(6,'rahmikarolina','dBl6vHcV1EhPfPjpRe6LB96U54Zm0mgw','zfU7JRcfu8GTyLhZ0l29XoANOrhnWbEtdXjn_XQq','$2y$13$.WiS/za0qNSORxGXM8SusuI6bmY2kVGc6n9KqsPIhqsjUaoUOYupu',NULL,NULL,'rahmi.karolina@usu.ac.id',2,1673327737,1673426742,1675839381,NULL),(7,'ilfahusna','dq7sBWHik8deKNMsk98ZnvuOL4U_YmAP','OHRxalTqN7CBpaXvkPWohLDIlR_bIdGPviFu3IXi','$2y$13$xFHyn2spt9zBTq0tYO0GFOa9woOF0W5quCTa/fBIJts.4dSB/i7j6',NULL,NULL,'ilfa.husna@gmail.com',2,1673327855,1673327855,1675745527,NULL),(8,'marthamartinni','n3ndGG9je1iBpqbs-mSmtnsfA3YLsf8P','q4X8IiGks67LTiAabPMoteHd7KNlnARfYyRIaRcz','$2y$13$hi0s7XpLpmXofd4EUoBVxOaPAfRVKR4JPd5g01mxTX44zZC2EDxGu',NULL,NULL,'marthamartinni@usu.ac.id',2,1673327942,1673406706,1675742164,NULL),(9,'mutiairma','PI_5aN-r3rKAv4XJwgArzwX4cCewjebE','aL05goalnZKKAaia0WSSoTFu3yvpdUpZBKHUMIDE','$2y$13$8VNllDZJ/aBZVImwBr59F.VBpco6Vg.N2mffoMK7UU54jZiwJ3ePK',NULL,NULL,'mutiairma@usu.ac.id',2,1673328000,1673328000,NULL,NULL),(10,'mbalyan','3O6mEmTea_w_ryI-o4peoo3yolFzOqo9','81HZW2pg4m9FF5K7SbYUgsCpvKFHwxSDuca9zF8W','$2y$13$zus0PdHjZoZQ3Po.gY0zYOWn58s.xgVcLL2k/uX3N0KB2TqhCo2mq',NULL,NULL,'mbalyan@usu.ac.id',2,1673328063,1673328063,NULL,NULL),(11,'fathurrahman','13ULxXI26lHY2Rp5iwGYLu-eTMyeeP7V','6M1cem0Kj5A7hHybq7dW1dLGvd5QynqkA1SGAYLO','$2y$13$mqjgxVh1xmlbJzQleL3YaeDnbKgGPqOtD2lPbG3ZqFqsvkyzZthGC',NULL,NULL,'fathurrahman@usu.ac.id',2,1673328104,1673331979,1675823174,NULL),(12,'novrida','ElSCKI6cC4k0i1PyFa3ct_KM0ldk4vG4','2Lpd4rRkyvhk4gYkkuvrbYVgULTT7qgOLbxUexSe','$2y$13$MK.GDEzYQ3NEZ.u2eLzMhez9bYsWZ8.iADzfv33s7j6ZENyWm4uO6',NULL,NULL,'novrida.hasibuan@gmail.com',2,1673328319,1673328319,1675742741,NULL),(13,'indra','Q2aXJXFw-4GWsJzc1H2DIJLSSU9MVxJV','dcDJwgc9HahZOMCkxOinUSihD2G9EzHdBrDYiZKZ','$2y$13$YQiSm7xKxocBTSaeVtDAEuj/jn6UhfzKZmZd6JRO216Oi/d/DCrJy',NULL,NULL,'indra7@usu.ac.id',2,1673328378,1673328378,1675823361,NULL),(14,'iwanrisnasari','w1846jY2ViMM0Ph8lvh7kEpAJPmbhObZ','-Ni3YrTkN3USz1laZOFlhvFRBcFLB8ccTy-Tmi8c','$2y$13$oZ0dRgkDXwHIOQzutAsqn.ki8VP8ZEn4mUVAzLBBVJKkuECv7wpbG',NULL,NULL,'iwanrisnasari@gmail.com',2,1673328445,1673328445,1675745706,NULL),(15,'azhari','G7_lvbJGz-e1N2a0JcJw5aCfj6YAPmCr','GV-a01aakiuiTqzzfsnorGrI9-GpBqAr-zm9yph_','$2y$13$l7K0NtJe5OkwHbz32u8HqOSsxjPi3LIdDyrMZaF5MVWpQ36oRNKAK',NULL,NULL,'azharihsb0@gmail.com',2,1673328487,1673328487,1675742353,NULL),(16,'nunukpriyani','XtKgudnVxWSe2Y3xcEHd3cc7m4rW57OO','3fcSDtZfe7EiQ8Nlq8fAVpAuPtEAwC3G74xnUuQu','$2y$13$A.aBrzpBgQd1aAqs6TtJOO3AhyUXT2QBlRNjHiqTS8Nq2jxxSR9FG',NULL,NULL,'priyanin@yahoo.com',2,1673328537,1673328537,NULL,NULL),(17,'msafril','WrGLukLBlD3QZ4c-6dn5oJZsycg-ulKj','qnwuEzboK7yUWIirRnGwd8uQDig7bXq4GyS6P9g6','$2y$13$J3/BqVR5x0mjaNbxEga2wuYKQpu9bBAHF7w6oSmPlocwPH8GFNREK',NULL,NULL,'safrilman@gmail.com',2,1673328631,1673328631,NULL,NULL),(18,'sallyirvina','wWIyQaxaMCy4zMUfJyNUrgr2loVC4LJ-','LRcYIOSDLX-WKVU6aoifRGdapYAQSq072n91bInm','$2y$13$QsmhP/2kWhbzAQw2xgCF/.f1GAsrYSnfE/gjPKsT6Si9gan64X9D2',NULL,NULL,'salvinaritonga@usu.ac.id',2,1673331849,1673331849,1675744199,NULL),(19,'okihandinata','1ow1xk51NEDbR026Q0R-8CqCIORgzYDB','sHvuPJI2uPM7uYIsZDRiLqn5gr0Vw9iE-V2gTzfD','$2y$13$n5/x4Y2AfAGt4UVHHW9NAuRGZgQthGe3kfVr4EjpsVlGKdaRd4G96',NULL,NULL,'okihandinata@usu.ac.id',2,1673331878,1673331878,1673404914,NULL),(20,'febririzki','hhFP_7iQKRWs0oP3mtTfev8P8KBjMYWJ','MPWDdlnrwBWxZDSayb_71KLtS8a4riEyyGkCsbKV','$2y$13$JtLad/NdvgRMplU7AgcL..rlED/j2AJ0mdxD0hp93k6n6Xq.BhpYC',NULL,NULL,'febri@usu.ac.id',2,1673331924,1673331924,NULL,NULL),(21,'ilhampangestu','HbgWBQXUSrfvguj-KTnJdQEejA1fPoLl','JRV1OA0h6WCyF0c05_46NfGUNJjllf2zq3EDk_vl','$2y$13$PhXXuZTIO4LZTfKvr9ClsOgMe.ijcTd8VKi.kqlZklTX8FGYqT90W',NULL,NULL,'ilham.pangestu@usu.ac.id',2,1673332054,1673332054,1675741227,NULL),(22,'fathurrahman algozi','qYrjoyCZlUeVQ9-5UrUNqpGfvnVjxbHI','LI14wWA_TPrZhCPch9N8F6ZMbvFSJ7l7YaNoH_vd','$2y$13$SX/kGf.ARUAHsl7/eaTY1.Rm0jiU6iI4j4AfuMHsde5W05fFQqlDW',NULL,NULL,'algozifathurrahman60@gmail.com',2,1673334418,1673334418,1675826366,NULL),(23,'fachrulreza','3K1HpZw1tHgijSvG9bDvtO0ezdXw_9fz','Mfc4rzCP1cr4_KloHXkqswM-1Zu_sM06MxGV01Fs','$2y$13$Ra3RSVvz/dYmtWP2xaiS..Z.RMrOqBdK2o5bpSgz/hTljuwuIIiTq',NULL,NULL,'fachrulreza20@gmail.com',2,1673405559,1673405559,1673406450,NULL),(24,'Raysa Zahra','OejURpfQwttOg9pDCSBe4BmMQQv03wEW','VEVsOpT_pZdN36rKemm5D8WzFlj0aVa1rIv2Hqgb','$2y$13$AbW6MdIVhzJx6SPwMjPK9e4gm7yZDZcmUcsOGcAwJpOyb09bV6eUS',NULL,NULL,'raysazahra08@gmail.com',2,1673406000,1673406000,1675738144,NULL),(25,'Naylab','bXu3iLOmFw80KPBu0Cssglfy0hw85Wjf','imvo_fDa8ayVB4aoLU5HGZyXDUDRfP3AzX_DCuM9','$2y$13$0.EXQxhMkiVd/nUaDH.OjurQV8AioAYpdkMfSHmsL4p2Pj44E1eJa',NULL,NULL,'muhammadbalyan.nasution@gmail.com',2,1673406311,1673406311,1675652271,NULL),(26,'Martha','HfC04TCe3cS5eu1OFldwHIHmUc2Lz-G5','vQVJYmESc5yu5t0ngU-qq5L_RkCIfYqp3lLK0msA','$2y$13$fpZifFrmnmr0uOnSIfzf3udCK.o1HoAYGnNvtEooANkN1mJ/CVmQG',NULL,NULL,'martha.martinni93@gmail.com',2,1673406737,1673406737,1675742040,NULL),(27,'Annisah','nbO-fI5hhHu1Lkl9Kkxn41g5FLI33PVs','t3CkOzKO6KWnQiYs6-6yQ1H3bSlbmVzHGzjTWeG_','$2y$13$Tq/c3vnLbIYxtJSP74np9.5wsmQrrWcyR5uSjGsqK5q.5rv4bN/lW',NULL,NULL,'Annisahmartha@gmail.com',1,1673406958,1673406958,NULL,NULL),(28,'ilhampangestu_','IUrEQaq3NqGJ6NHy-RUbgow0GTclIPqb','Xh5JgC-KZSqf5x5oPt1BKf-VHuJfURBoYYeDw_RX','$2y$13$tQJB0A5Rencdv60YglONIO3bjgi9DR0umciYhyXDlqoXx/M30.J8W',NULL,NULL,'ilhampangestu7@gmail.com',1,1675652509,1675652509,NULL,NULL),(29,'radoy','HGKrM_IAq6i5G95WQme-cMRODU-cQyvg','H_AXhNYXCqC3kNiaYYIT3olQet1zL2vXt31zFdVh','$2y$13$EqpHSEHvCJ/rNTXg6..Oee/Hvpv/oXlFJ1Tw0NxWUCj5lMBmcMTsq',NULL,NULL,'rizal.adoy@gmail.com',2,1675672296,1675672296,1675993156,NULL),(30,'labadmin','RdmbUfOc-ff5Kd5pcjpP4fawLHe_J0T0','NDgpg_MwIoyo261TwG5h0euC38SYJdQ71MYGz-AY','$2y$13$5Evbtyo80RtZIAsoMyis5O.Ijnf0WVqfCHvIJYaPTMpADus7q2J0C',NULL,NULL,'labadmin@labterpadu.id',1,1675694998,1675755200,1675696127,99),(31,'labsupervisor','H0QBqQRxvTQV-p-yhUUoh1WthLPvr-Mc','0U1ZuGUggg6IFs1qeftGiHg1HchkFIlpY-apZfRW','$2y$13$qpmpfxeqxoPKbJolCo8MpO15kk/H9bi09xDUgnAarqDKAfMG5w8WC',NULL,NULL,'labsupervisor@labterpadu.id',1,1675695074,1675755213,1675695085,99),(32,'labanalyst','TmHrRKglKlH79ZtJBeDPWv03dBhSe1Km','WE_R-sRSJH-qezG9dhuusMkYwgfH0OmoH84GC_XG','$2y$13$sNq9aS21zN6TqsdK0aw.ZeXla7tu6ld2sprOTi1TFA0VSz2b8lc9S',NULL,NULL,'labanalyst@labterpadu.id',1,1675695476,1675755229,1675695509,99);
/*!40000 ALTER TABLE `user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_profile`
--

DROP TABLE IF EXISTS `user_profile`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_profile` (
  `user_id` int NOT NULL AUTO_INCREMENT,
  `firstname` varchar(255) DEFAULT NULL,
  `middlename` varchar(255) DEFAULT NULL,
  `lastname` varchar(255) DEFAULT NULL,
  `avatar_path` varchar(255) DEFAULT NULL,
  `avatar_base_url` varchar(255) DEFAULT NULL,
  `locale` varchar(32) NOT NULL,
  `gender` smallint DEFAULT NULL,
  `id_number` varchar(45) DEFAULT NULL,
  `phone_number` varchar(45) DEFAULT NULL,
  `address` varchar(128) DEFAULT NULL,
  `instansi_id` int DEFAULT NULL,
  `instansi_name` varchar(45) DEFAULT NULL,
  `jabatan` varchar(45) DEFAULT NULL,
  `nik` varchar(16) DEFAULT NULL,
  `jurusan` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`user_id`),
  CONSTRAINT `fk_user` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=33 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_profile`
--

LOCK TABLES `user_profile` WRITE;
/*!40000 ALTER TABLE `user_profile` DISABLE KEYS */;
INSERT INTO `user_profile` VALUES (1,'Administrator',NULL,'',NULL,NULL,'en-US',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(4,NULL,NULL,NULL,NULL,NULL,'en-US',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(5,'Raysa Zahra',NULL,NULL,NULL,NULL,'en-US',NULL,'96082920012001','085261838600','Jalan Sei Kera Gang Gilingan Padi No 5A',1,'Universitas Sumatera Utara',NULL,'1271186908960002',NULL),(6,NULL,NULL,NULL,NULL,NULL,'en-US',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(7,NULL,NULL,NULL,NULL,NULL,'en-US',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(8,NULL,NULL,NULL,NULL,NULL,'en-US',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(9,NULL,NULL,NULL,NULL,NULL,'en-US',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(10,NULL,NULL,NULL,NULL,NULL,'en-US',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(11,NULL,NULL,NULL,NULL,NULL,'en-US',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(12,NULL,NULL,NULL,NULL,NULL,'en-US',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(13,NULL,NULL,NULL,NULL,NULL,'en-US',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(14,NULL,NULL,NULL,NULL,NULL,'en-US',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(15,NULL,NULL,NULL,NULL,NULL,'en-US',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(16,NULL,NULL,NULL,NULL,NULL,'en-US',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(17,NULL,NULL,NULL,NULL,NULL,'en-US',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(18,NULL,NULL,NULL,NULL,NULL,'en-US',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(19,NULL,NULL,NULL,NULL,NULL,'en-US',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(20,NULL,NULL,NULL,NULL,NULL,'en-US',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(21,NULL,NULL,NULL,NULL,NULL,'en-US',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(22,'FATHURRAHMAN',NULL,NULL,NULL,NULL,'id-ID',NULL,NULL,'081220013332','NO MADEN',1,'',NULL,'1205110406990002',NULL),(23,'Fachrul Reza',NULL,NULL,NULL,NULL,'id-ID',NULL,NULL,'085261615414','Jl M. A. Selatan Gg japaris No. 853/21 Medan',2,'',NULL,'1271102103910002',NULL),(24,'Raysa Zahra',NULL,NULL,NULL,NULL,'id-ID',NULL,'','085261838600','Jalan Sei Kera Gang Gilingan Padi No 5A',2,'PT Martha Martinni',NULL,'1271186908960002',NULL),(25,'Naylab',NULL,NULL,NULL,NULL,'id-ID',NULL,NULL,'082163909829','Jl madina',1,'',NULL,'1271180705940003',NULL),(26,'Martha martinni',NULL,NULL,NULL,NULL,'id-ID',NULL,NULL,'082366525679','Medan',1,'',NULL,'1205156002930001',NULL),(27,'Martha martinni',NULL,NULL,NULL,NULL,'id-ID',NULL,NULL,'082366525679','Medan',1,'',NULL,'1205156002930001',NULL),(28,'Ilham Pangestu',NULL,NULL,NULL,NULL,'id-ID',NULL,'95060520011001','081269541077','Bandar Selamat, Simalungun',1,'',NULL,'1208170506950003',NULL),(29,'Muhammad Yusrizal',NULL,NULL,NULL,NULL,'id-ID',NULL,'','081361456253','Jl. Prof. HM. Yamin No. 318\r\nMedan Perjuangan',2,'Freelance',NULL,'112233445566',NULL),(30,NULL,NULL,NULL,NULL,NULL,'en-US',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(31,NULL,NULL,NULL,NULL,NULL,'en-US',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(32,NULL,NULL,NULL,NULL,NULL,'en-US',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `user_profile` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_token`
--

DROP TABLE IF EXISTS `user_token`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_token` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int NOT NULL,
  `type` varchar(255) NOT NULL,
  `token` varchar(40) NOT NULL,
  `expire_at` int DEFAULT NULL,
  `created_at` int DEFAULT NULL,
  `updated_at` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_token`
--

LOCK TABLES `user_token` WRITE;
/*!40000 ALTER TABLE `user_token` DISABLE KEYS */;
INSERT INTO `user_token` VALUES (6,27,'activation','sgdWTgdzDw02-mXfY46XNu2O9OogefEl6LEeKq4W',1673493358,1673406958,1673406958),(7,28,'activation','Ynfon1ldxdjir5SCPb_VXBACQWHaNoE_YcFfEFE5',1675738909,1675652509,1675652509);
/*!40000 ALTER TABLE `user_token` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2023-02-23 17:20:19
